// SPDX-FileCopyrightText: 2021-2023 deroad <wargio@libero.it>
// SPDX-License-Identifier: LGPL-3.0-only

#include "minunit.h"

mu_demangle_tests(gpl,
	mu_demangle_test("_ZNSt2147483648ios_base4InitD1Ev", NULL),
	mu_demangle_test("_Z10initThemesv_ptr", "initThemes()"),
	mu_demangle_test("_Z11InitUIViewsv_ptr", "InitUIViews()"),
	mu_demangle_test("_Z13getThemeColor12BNThemeColor_ptr", "getThemeColor(BNThemeColor)"),
	mu_demangle_test("_Z13InitUIActionsv_ptr", "InitUIActions()"),
	mu_demangle_test("_Z13InitUIPluginsv_ptr", "InitUIPlugins()"),
	mu_demangle_test("_Z14getActiveThemev_ptr", "getActiveTheme()"),
	mu_demangle_test("_Z14setActiveThemeRK7QStringb_ptr", "setActiveTheme(QString const&, bool)"),
	mu_demangle_test("_Z15resetUserThemesv_ptr", "resetUserThemes()"),
	mu_demangle_test("_Z16getMonospaceFontP7QWidget_ptr", "getMonospaceFont(QWidget*)"),
	mu_demangle_test("_Z16setMonospaceFontRK5QFont_ptr", "setMonospaceFont(QFont const&)"),
	mu_demangle_test("_Z17setAllowBoldFontsb_ptr", "setAllowBoldFonts(bool)"),
	mu_demangle_test("_Z17setColorBlindModeb_ptr", "setColorBlindMode(bool)"),
	mu_demangle_test("_Z19getExtraFontSpacingv_ptr", "getExtraFontSpacing()"),
	mu_demangle_test("_Z19setExtraFontSpacingi_ptr", "setExtraFontSpacing(int)"),
	mu_demangle_test("_Z20setAntialiasingStyle17AntialiasingStyle_ptr", "setAntialiasingStyle(AntialiasingStyle)"),
	mu_demangle_test("_Z21qRegisterResourceDataiPKhS0_S0__ptr", "qRegisterResourceData(int, unsigned char const*, unsigned char const*, unsigned char const*)"),
	mu_demangle_test("_Z23getDefaultMonospaceFontv_ptr", "getDefaultMonospaceFont()"),
	mu_demangle_test("_Z23qUnregisterResourceDataiPKhS0_S0__ptr", "qUnregisterResourceData(int, unsigned char const*, unsigned char const*, unsigned char const*)"),
	mu_demangle_test("_Z26getDefaultExtraFontSpacingv_ptr", "getDefaultExtraFontSpacing()"),
	mu_demangle_test("_Z33adjustFontForAntialiasingSettingsR5QFontP7QWidget_ptr", "adjustFontForAntialiasingSettings(QFont&, QWidget*)"),
	mu_demangle_test("_ZdaPv_ptr", "operator delete[](void*)"),
	mu_demangle_test("_ZdaPvm_ptr", "operator delete[](void*, unsigned long)"),
	mu_demangle_test("_ZdlPv_ptr", "operator delete(void*)"),
	mu_demangle_test("_ZdlPvm_ptr", "operator delete(void*, unsigned long)"),
	mu_demangle_test("_ZeqRK7QStringS1__ptr", "operator==(QString const&, QString const&)"),
	mu_demangle_test("_ZltRK7QStringS1__ptr", "operator<(QString const&, QString const&)"),
	mu_demangle_test("_ZN10FeatureMapC1EP9ViewFrameN11BinaryNinja3RefINS2_10BinaryViewEEE_ptr", "FeatureMap::FeatureMap(ViewFrame*, BinaryNinja::Ref<BinaryNinja::BinaryView>)"),
	mu_demangle_test("_ZN10MenuHelper11qt_metacallEN11QMetaObject4CallEiPPv_ptr", "MenuHelper::qt_metacall(QMetaObject::Call, int, void**)"),
	mu_demangle_test("_ZN10MenuHelper11qt_metacastEPKc_ptr", "MenuHelper::qt_metacast(char const*)"),
	mu_demangle_test("_ZN10MenuHelper22setBackgroundColorRoleEN8QPalette9ColorRoleE_ptr", "MenuHelper::setBackgroundColorRole(QPalette::ColorRole)"),
	mu_demangle_test("_ZN10MenuHelperC2EP7QWidgetb_ptr", "MenuHelper::MenuHelper(QWidget*, bool)"),
	mu_demangle_test("_ZN10QArrayData10deallocateEPS_mm_ptr", "QArrayData::deallocate(QArrayData*, unsigned long, unsigned long)"),
	mu_demangle_test("_ZN10QArrayData11shared_nullE_ptr", "QArrayData::shared_null"),
	mu_demangle_test("_ZN10QBoxLayout10addSpacingEi_ptr", "QBoxLayout::addSpacing(int)"),
	mu_demangle_test("_ZN10QBoxLayout10addStretchEi_ptr", "QBoxLayout::addStretch(int)"),
	mu_demangle_test("_ZN10QBoxLayout10setSpacingEi_ptr", "QBoxLayout::setSpacing(int)"),
	mu_demangle_test("_ZN10QBoxLayout9addLayoutEP7QLayouti_ptr", "QBoxLayout::addLayout(QLayout*, int)"),
	mu_demangle_test("_ZN10QBoxLayout9addWidgetEP7QWidgeti6QFlagsIN2Qt13AlignmentFlagEE_ptr", "QBoxLayout::addWidget(QWidget*, int, QFlags<Qt::AlignmentFlag>)"),
	mu_demangle_test("_ZN10QByteArray11reallocDataEj6QFlagsIN10QArrayData16AllocationOptionEE_ptr", "QByteArray::reallocData(unsigned int, QFlags<QArrayData::AllocationOption>)"),
	mu_demangle_test("_ZN10QByteArray6appendEc_ptr", "QByteArray::append(char)"),
	mu_demangle_test("_ZN10QByteArray6appendEPKc_ptr", "QByteArray::append(char const*)"),
	mu_demangle_test("_ZN10QByteArray6appendEPKci_ptr", "QByteArray::append(char const*, int)"),
	mu_demangle_test("_ZN10QByteArrayC1EPKci_ptr", "QByteArray::QByteArray(char const*, int)"),
	mu_demangle_test("_ZN10QClipboard11setMimeDataEP9QMimeDataNS_4ModeE_ptr", "QClipboard::setMimeData(QMimeData*, QClipboard::Mode)"),
	mu_demangle_test("_ZN10QClipboard5clearENS_4ModeE_ptr", "QClipboard::clear(QClipboard::Mode)"),
	mu_demangle_test("_ZN10QCompleter18setCaseSensitivityEN2Qt15CaseSensitivityE_ptr", "QCompleter::setCaseSensitivity(Qt::CaseSensitivity)"),
	mu_demangle_test("_ZN10QCompleterC1ERK11QStringListP7QObject_ptr", "QCompleter::QCompleter(QStringList const&, QObject*)"),
	mu_demangle_test("_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE_ptr", "QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)"),
	mu_demangle_test("_ZN10QEventLoopC1EP7QObject_ptr", "QEventLoop::QEventLoop(QObject*)"),
	mu_demangle_test("_ZN10QEventLoopD1Ev_ptr", "QEventLoop::~QEventLoop()"),
	mu_demangle_test("_ZN10QJsonValueD1Ev_ptr", "QJsonValue::~QJsonValue()"),
	mu_demangle_test("_ZN10QStatusBar11showMessageERK7QStringi_ptr", "QStatusBar::showMessage(QString const&, int)"),
	mu_demangle_test("_ZN10QStatusBar12clearMessageEv_ptr", "QStatusBar::clearMessage()"),
	mu_demangle_test("_ZN10QStatusBar12removeWidgetEP7QWidget_ptr", "QStatusBar::removeWidget(QWidget*)"),
	mu_demangle_test("_ZN10QStatusBar18addPermanentWidgetEP7QWidgeti_ptr", "QStatusBar::addPermanentWidget(QWidget*, int)"),
	mu_demangle_test("_ZN10QStatusBar9addWidgetEP7QWidgeti_ptr", "QStatusBar::addWidget(QWidget*, int)"),
	mu_demangle_test("_ZN10QTableView11qt_metacallEN11QMetaObject4CallEiPPv_ptr", "QTableView::qt_metacall(QMetaObject::Call, int, void**)"),
	mu_demangle_test("_ZN10QTableView11qt_metacastEPKc_ptr", "QTableView::qt_metacast(char const*)"),
	mu_demangle_test("_ZN10QTableView11setShowGridEb_ptr", "QTableView::setShowGrid(bool)"),
	mu_demangle_test("_ZN10QTableView12sortByColumnEiN2Qt9SortOrderE_ptr", "QTableView::sortByColumn(int, Qt::SortOrder)"),
	mu_demangle_test("_ZN10QTableView16staticMetaObjectE_ptr", "QTableView::staticMetaObject"),
	mu_demangle_test("_ZN10QTableView17setSortingEnabledEb_ptr", "QTableView::setSortingEnabled(bool)"),
	mu_demangle_test("_ZN10QTableView23resizeColumnsToContentsEv_ptr", "QTableView::resizeColumnsToContents()"),
	mu_demangle_test("_ZN10QTableView8setModelEP18QAbstractItemModel_ptr", "QTableView::setModel(QAbstractItemModel*)"),
	mu_demangle_test("_ZN10QTableView9selectRowEi_ptr", "QTableView::selectRow(int)"),
	mu_demangle_test("_ZN10QTableViewC2EP7QWidget_ptr", "QTableView::QTableView(QWidget*)"),
	mu_demangle_test("_ZN10QTableViewD2Ev_ptr", "QTableView::~QTableView()"),
	mu_demangle_test("_ZN10QTabWidget10setMovableEb_ptr", "QTabWidget::setMovable(bool)"),
	mu_demangle_test("_ZN10QTabWidget10setTabTextEiRK7QString_ptr", "QTabWidget::setTabText(int, QString const&)"),
	mu_demangle_test("_ZN10QTabWidget11qt_metacallEN11QMetaObject4CallEiPPv_ptr", "QTabWidget::qt_metacall(QMetaObject::Call, int, void**)"),
	mu_demangle_test("_ZN10QTabWidget11qt_metacastEPKc_ptr", "QTabWidget::qt_metacast(char const*)"),
	mu_demangle_test("_ZN10QTabWidget15setCornerWidgetEP7QWidgetN2Qt6CornerE_ptr", "QTabWidget::setCornerWidget(QWidget*, Qt::Corner)"),
	mu_demangle_test("_ZN10QTabWidget15setCurrentIndexEi_ptr", "QTabWidget::setCurrentIndex(int)"),
	mu_demangle_test("_ZN10QTabWidget15setDocumentModeEb_ptr", "QTabWidget::setDocumentMode(bool)"),
	mu_demangle_test("_ZN10QTabWidget15setTabsClosableEb_ptr", "QTabWidget::setTabsClosable(bool)"),
	mu_demangle_test("_ZN10QTabWidget17setTabBarAutoHideEb_ptr", "QTabWidget::setTabBarAutoHide(bool)"),
	mu_demangle_test("_ZN10QTabWidget6addTabEP7QWidgetRK7QString_ptr", "QTabWidget::addTab(QWidget*, QString const&)"),
	mu_demangle_test("_ZN10QTabWidget9insertTabEiP7QWidgetRK7QString_ptr", "QTabWidget::insertTab(int, QWidget*, QString const&)"),
	mu_demangle_test("_ZN10QTabWidget9removeTabEi_ptr", "QTabWidget::removeTab(int)"),
	mu_demangle_test("_ZN10QTabWidget9setTabBarEP7QTabBar_ptr", "QTabWidget::setTabBar(QTabBar*)"),
	mu_demangle_test("_ZN10QTabWidgetC1EP7QWidget_ptr", "QTabWidget::QTabWidget(QWidget*)"),
	mu_demangle_test("_ZN10QTabWidgetC2EP7QWidget_ptr", "QTabWidget::QTabWidget(QWidget*)"),
	mu_demangle_test("_ZN10QTabWidgetD2Ev_ptr", "QTabWidget::~QTabWidget()"),
	mu_demangle_test("_ZN11DockHandler10setVisibleERK7QStringb_ptr", "DockHandler::setVisible(QString const&, bool)"),
	mu_demangle_test("_ZN11DockHandler11updateFontsEv_ptr", "DockHandler::updateFonts()"),
	mu_demangle_test("_ZN11DockHandler11updateThemeEv_ptr", "DockHandler::updateTheme()"),
	mu_demangle_test("_ZN11DockHandler11viewChangedEP9ViewFrame_ptr", "DockHandler::viewChanged(ViewFrame*)"),
	mu_demangle_test("_ZN11DockHandler12restoreStateER9QSettingsRK7QString_ptr", "DockHandler::restoreState(QSettings&, QString const&)"),
	mu_demangle_test("_ZN11DockHandler13addDockWidgetEP7QWidgetN2Qt14DockWidgetAreaENS2_11OrientationEb_ptr", "DockHandler::addDockWidget(QWidget*, Qt::DockWidgetArea, Qt::Orientation, bool)"),
	mu_demangle_test("_ZN11DockHandler13addDockWidgetERK7QStringRKSt8functionIFP7QWidgetS2_P9ViewFrameN11BinaryNinja3RefINS8_10BinaryViewEEEEEN2Qt14DockWidgetAreaENSG_11OrientationEb_ptr", "DockHandler::addDockWidget(QString const&, std::function<QWidget* (QString const&, ViewFrame*, BinaryNinja::Ref<BinaryNinja::BinaryView>)> const&, Qt::DockWidgetArea, Qt::Orientation, bool)"),
	mu_demangle_test("_ZN11DockHandler13getDockWidgetERK7QString_ptr", "DockHandler::getDockWidget(QString const&)"),
	mu_demangle_test("_ZN11DockHandler15addActionOnShowERK7QStringRKSt8functionIFvvEE_ptr", "DockHandler::addActionOnShow(QString const&, std::function<void ()> const&)"),
	mu_demangle_test("_ZN11DockHandler17shouldResizeDocksEv_ptr", "DockHandler::shouldResizeDocks()"),
	mu_demangle_test("_ZN11DockHandler18updateViewLocationEP4ViewRK12ViewLocation_ptr", "DockHandler::updateViewLocation(View*, ViewLocation const&)"),
	mu_demangle_test("_ZN11DockHandler23notifyRestoredFromStateEv_ptr", "DockHandler::notifyRestoredFromState()"),
	mu_demangle_test("_ZN11DockHandler5closeEv_ptr", "DockHandler::close()"),
	mu_demangle_test("_ZN11DockHandler5resetEb_ptr", "DockHandler::reset(bool)"),
	mu_demangle_test("_ZN11DockHandler5resetERK7QString_ptr", "DockHandler::reset(QString const&)"),
	mu_demangle_test("_ZN11DockHandler9isVisibleERK7QString_ptr", "DockHandler::isVisible(QString const&)"),
	mu_demangle_test("_ZN11DockHandler9saveStateER9QSettingsRK7QString_ptr", "DockHandler::saveState(QSettings&, QString const&)"),
	mu_demangle_test("_ZN11DockHandlerC1EP7QObjecti_ptr", "DockHandler::DockHandler(QObject*, int)"),
	mu_demangle_test("_ZN11FileContext10isModifiedEv_ptr", "FileContext::isModified()"),
	mu_demangle_test("_ZN11FileContext11getBestTypeEv_ptr", "FileContext::getBestType()"),
	mu_demangle_test("_ZN11FileContext11getDataViewERK7QStringb_ptr", "FileContext::getDataView(QString const&, bool)"),
	mu_demangle_test("_ZN11FileContext11markAsSavedERK7QString_ptr", "FileContext::markAsSaved(QString const&)"),
	mu_demangle_test("_ZN11FileContext11resolveTypeERK7QStringRP8ViewTypeRN11BinaryNinja3RefINS6_14BinaryViewTypeEEE_ptr", "FileContext::resolveType(QString const&, ViewType*&, BinaryNinja::Ref<BinaryNinja::BinaryViewType>&)"),
	mu_demangle_test("_ZN11FileContext14createDataViewERK7QString_ptr", "FileContext::createDataView(QString const&)"),
	mu_demangle_test("_ZN11FileContext15isTypeAvailableERK7QString_ptr", "FileContext::isTypeAvailable(QString const&)"),
	mu_demangle_test("_ZN11FileContext17closeAllOpenFilesEv_ptr", "FileContext::closeAllOpenFiles()"),
	mu_demangle_test("_ZN11FileContext17getAvailableTypesEv_ptr", "FileContext::getAvailableTypes()"),
	mu_demangle_test("_ZN11FileContext17registerReferenceEP7QWidget_ptr", "FileContext::registerReference(QWidget*)"),
	mu_demangle_test("_ZN11FileContext19getOpenFileContextsEv_ptr", "FileContext::getOpenFileContexts()"),
	mu_demangle_test("_ZN11FileContext19setCurrentViewFrameEP9ViewFrame_ptr", "FileContext::setCurrentViewFrame(ViewFrame*)"),
	mu_demangle_test("_ZN11FileContext20refreshDataViewCacheEv_ptr", "FileContext::refreshDataViewCache()"),
	mu_demangle_test("_ZN11FileContext7newFileEv_ptr", "FileContext::newFile()"),
	mu_demangle_test("_ZN11FileContextC1EN11BinaryNinja3RefINS0_12FileMetadataEEENS1_INS0_10BinaryViewEEERK7QStringbb_ptr", "FileContext::FileContext(BinaryNinja::Ref<BinaryNinja::FileMetadata>, BinaryNinja::Ref<BinaryNinja::BinaryView>, QString const&, bool, bool)"),
	mu_demangle_test("_ZN11QFileDevice5closeEv_ptr", "QFileDevice::close()"),
	mu_demangle_test("_ZN11QFileDialog15getOpenFileNameEP7QWidgetRK7QStringS4_S4_PS2_6QFlagsINS_6OptionEE_ptr", "QFileDialog::getOpenFileName(QWidget*, QString const&, QString const&, QString const&, QString*, QFlags<QFileDialog::Option>)"),
	mu_demangle_test("_ZN11QFileDialog15getSaveFileNameEP7QWidgetRK7QStringS4_S4_PS2_6QFlagsINS_6OptionEE_ptr", "QFileDialog::getSaveFileName(QWidget*, QString const&, QString const&, QString const&, QString*, QFlags<QFileDialog::Option>)"),
	mu_demangle_test("_ZN11QFileDialog16getOpenFileNamesEP7QWidgetRK7QStringS4_S4_PS2_6QFlagsINS_6OptionEE_ptr", "QFileDialog::getOpenFileNames(QWidget*, QString const&, QString const&, QString const&, QString*, QFlags<QFileDialog::Option>)"),
	mu_demangle_test("_ZN11QFileDialog20getExistingDirectoryEP7QWidgetRK7QStringS4_6QFlagsINS_6OptionEE_ptr", "QFileDialog::getExistingDirectory(QWidget*, QString const&, QString const&, QFlags<QFileDialog::Option>)"),
	mu_demangle_test("_ZN11QFontDialog7getFontEPbRK5QFontP7QWidgetRK7QString6QFlagsINS_16FontDialogOptionEE_ptr", "QFontDialog::getFont(bool*, QFont const&, QWidget*, QString const&, QFlags<QFontDialog::FontDialogOption>)"),
	mu_demangle_test("_ZN11QGridLayout16setColumnStretchEii_ptr", "QGridLayout::setColumnStretch(int, int)"),
	mu_demangle_test("_ZN11QGridLayout19setRowMinimumHeightEii_ptr", "QGridLayout::setRowMinimumHeight(int, int)"),
	mu_demangle_test("_ZN11QGridLayout9addWidgetEP7QWidgetii6QFlagsIN2Qt13AlignmentFlagEE_ptr", "QGridLayout::addWidget(QWidget*, int, int, QFlags<Qt::AlignmentFlag>)"),
	mu_demangle_test("_ZN11QGridLayoutC1EP7QWidget_ptr", "QGridLayout::QGridLayout(QWidget*)"),
	mu_demangle_test("_ZN11QGridLayoutC1Ev_ptr", "QGridLayout::QGridLayout()"),
	mu_demangle_test("_ZN11QHBoxLayoutC1EP7QWidget_ptr", "QHBoxLayout::QHBoxLayout(QWidget*)"),
	mu_demangle_test("_ZN11QHBoxLayoutC1Ev_ptr", "QHBoxLayout::QHBoxLayout()"),
	mu_demangle_test("_ZN11QHeaderView20setSectionResizeModeEiNS_10ResizeModeE_ptr", "QHeaderView::setSectionResizeMode(int, QHeaderView::ResizeMode)"),
	mu_demangle_test("_ZN11QHeaderView20setSectionResizeModeENS_10ResizeModeE_ptr", "QHeaderView::setSectionResizeMode(QHeaderView::ResizeMode)"),
	mu_demangle_test("_ZN11QHeaderView21setDefaultSectionSizeEi_ptr", "QHeaderView::setDefaultSectionSize(int)"),
	mu_demangle_test("_ZN11QHeaderView21setStretchLastSectionEb_ptr", "QHeaderView::setStretchLastSection(bool)"),
	mu_demangle_test("_ZN11QJsonObjectD1Ev_ptr", "QJsonObject::~QJsonObject()"),
	mu_demangle_test("_ZN11QMainWindow10addToolBarEN2Qt11ToolBarAreaEP8QToolBar_ptr", "QMainWindow::addToolBar(Qt::ToolBarArea, QToolBar*)"),
	mu_demangle_test("_ZN11QMainWindow11qt_metacallEN11QMetaObject4CallEiPPv_ptr", "QMainWindow::qt_metacall(QMetaObject::Call, int, void**)"),
	mu_demangle_test("_ZN11QMainWindow11qt_metacastEPKc_ptr", "QMainWindow::qt_metacast(char const*)"),
	mu_demangle_test("_ZN11QMainWindow11resizeDocksERK5QListIP11QDockWidgetERKS0_IiEN2Qt11OrientationE_ptr", "QMainWindow::resizeDocks(QList<QDockWidget*> const&, QList<int> const&, Qt::Orientation)"),
	mu_demangle_test("_ZN11QMainWindow12restoreStateERK10QByteArrayi_ptr", "QMainWindow::restoreState(QByteArray const&, int)"),
	mu_demangle_test("_ZN11QMainWindow15splitDockWidgetEP11QDockWidgetS1_N2Qt11OrientationE_ptr", "QMainWindow::splitDockWidget(QDockWidget*, QDockWidget*, Qt::Orientation)"),
	mu_demangle_test("_ZN11QMainWindow16setCentralWidgetEP7QWidget_ptr", "QMainWindow::setCentralWidget(QWidget*)"),
	mu_demangle_test("_ZN11QMainWindow16tabifyDockWidgetEP11QDockWidgetS1__ptr", "QMainWindow::tabifyDockWidget(QDockWidget*, QDockWidget*)"),
	mu_demangle_test("_ZN11QMainWindow21setDockNestingEnabledEb_ptr", "QMainWindow::setDockNestingEnabled(bool)"),
	mu_demangle_test("_ZN11QMainWindow9setCornerEN2Qt6CornerENS0_14DockWidgetAreaE_ptr", "QMainWindow::setCorner(Qt::Corner, Qt::DockWidgetArea)"),
	mu_demangle_test("_ZN11QMainWindowC2EP7QWidget6QFlagsIN2Qt10WindowTypeEE_ptr", "QMainWindow::QMainWindow(QWidget*, QFlags<Qt::WindowType>)"),
	mu_demangle_test("_ZN11QMainWindowD2Ev_ptr", "QMainWindow::~QMainWindow()"),
	mu_demangle_test("_ZN11QMessageBox11informationEP7QWidgetRK7QStringS4_6QFlagsINS_14StandardButtonEES6__ptr", "QMessageBox::information(QWidget*, QString const&, QString const&, QFlags<QMessageBox::StandardButton>, QMessageBox::StandardButton)"),
	mu_demangle_test("_ZN11QMessageBox14setWindowTitleERK7QString_ptr", "QMessageBox::setWindowTitle(QString const&)"),
	mu_demangle_test("_ZN11QMessageBox16setDefaultButtonENS_14StandardButtonE_ptr", "QMessageBox::setDefaultButton(QMessageBox::StandardButton)"),
	mu_demangle_test("_ZN11QMessageBox18setInformativeTextERK7QString_ptr", "QMessageBox::setInformativeText(QString const&)"),
	mu_demangle_test("_ZN11QMessageBox18setStandardButtonsE6QFlagsINS_14StandardButtonEE_ptr", "QMessageBox::setStandardButtons(QFlags<QMessageBox::StandardButton>)"),
	mu_demangle_test("_ZN11QMessageBox7setIconENS_4IconE_ptr", "QMessageBox::setIcon(QMessageBox::Icon)"),
	mu_demangle_test("_ZN11QMessageBox7setTextERK7QString_ptr", "QMessageBox::setText(QString const&)"),
	mu_demangle_test("_ZN11QMessageBox7warningEP7QWidgetRK7QStringS4_6QFlagsINS_14StandardButtonEES6__ptr", "QMessageBox::warning(QWidget*, QString const&, QString const&, QFlags<QMessageBox::StandardButton>, QMessageBox::StandardButton)"),
	mu_demangle_test("_ZN11QMessageBox8criticalEP7QWidgetRK7QStringS4_6QFlagsINS_14StandardButtonEES6__ptr", "QMessageBox::critical(QWidget*, QString const&, QString const&, QFlags<QMessageBox::StandardButton>, QMessageBox::StandardButton)"),
	mu_demangle_test("_ZN11QMessageBox8questionEP7QWidgetRK7QStringS4_6QFlagsINS_14StandardButtonEES6__ptr", "QMessageBox::question(QWidget*, QString const&, QString const&, QFlags<QMessageBox::StandardButton>, QMessageBox::StandardButton)"),
	mu_demangle_test("_ZN11QMessageBox9addButtonENS_14StandardButtonE_ptr", "QMessageBox::addButton(QMessageBox::StandardButton)"),
	mu_demangle_test("_ZN11QMessageBox9addButtonERK7QStringNS_10ButtonRoleE_ptr", "QMessageBox::addButton(QString const&, QMessageBox::ButtonRole)"),
	mu_demangle_test("_ZN11QMessageBoxC1ENS_4IconERK7QStringS3_6QFlagsINS_14StandardButtonEEP7QWidgetS4_IN2Qt10WindowTypeEE_ptr", "QMessageBox::QMessageBox(QMessageBox::Icon, QString const&, QString const&, QFlags<QMessageBox::StandardButton>, QWidget*, QFlags<Qt::WindowType>)"),
	mu_demangle_test("_ZN11QMessageBoxC1EP7QWidget_ptr", "QMessageBox::QMessageBox(QWidget*)"),
	mu_demangle_test("_ZN11QMessageBoxD1Ev_ptr", "QMessageBox::~QMessageBox()"),
	mu_demangle_test("_ZN11QMetaObject10ConnectionD1Ev_ptr", "QMetaObject::Connection::~Connection()"),
	mu_demangle_test("_ZN11QMetaObject14normalizedTypeEPKc_ptr", "QMetaObject::normalizedType(char const*)"),
	mu_demangle_test("_ZN11QMetaObject8activateEP7QObjectPKS_iPPv_ptr", "QMetaObject::activate(QObject*, QMetaObject const*, int, void**)"),
	mu_demangle_test("_ZN11QPushButton10setDefaultEb_ptr", "QPushButton::setDefault(bool)"),
	mu_demangle_test("_ZN11QPushButtonC1EP7QWidget_ptr", "QPushButton::QPushButton(QWidget*)"),
	mu_demangle_test("_ZN11QPushButtonC1ERK7QStringP7QWidget_ptr", "QPushButton::QPushButton(QString const&, QWidget*)"),
	mu_demangle_test("_ZN11QScrollArea11qt_metacallEN11QMetaObject4CallEiPPv_ptr", "QScrollArea::qt_metacall(QMetaObject::Call, int, void**)"),
	mu_demangle_test("_ZN11QScrollArea11qt_metacastEPKc_ptr", "QScrollArea::qt_metacast(char const*)"),
	mu_demangle_test("_ZN11QScrollArea18setWidgetResizableEb_ptr", "QScrollArea::setWidgetResizable(bool)"),
	mu_demangle_test("_ZN11QScrollArea9setWidgetEP7QWidget_ptr", "QScrollArea::setWidget(QWidget*)"),
	mu_demangle_test("_ZN11QScrollAreaC2EP7QWidget_ptr", "QScrollArea::QScrollArea(QWidget*)"),
	mu_demangle_test("_ZN11QScrollAreaD2Ev_ptr", "QScrollArea::~QScrollArea()"),
	mu_demangle_test("_ZN11QTextStream7readAllEv_ptr", "QTextStream::readAll()"),
	mu_demangle_test("_ZN11QTextStreamC1EP7QString6QFlagsIN9QIODevice12OpenModeFlagEE_ptr", "QTextStream::QTextStream(QString*, QFlags<QIODevice::OpenModeFlag>)"),
	mu_demangle_test("_ZN11QTextStreamC1EP9QIODevice_ptr", "QTextStream::QTextStream(QIODevice*)"),
	mu_demangle_test("_ZN11QTextStreamD1Ev_ptr", "QTextStream::~QTextStream()"),
	mu_demangle_test("_ZN11QTextStreamlsEl_ptr", "QTextStream::operator<<(long)"),
	mu_demangle_test("_ZN11QTextStreamlsEm_ptr", "QTextStream::operator<<(unsigned long)"),
	mu_demangle_test("_ZN11QTextStreamlsEPKc_ptr", "QTextStream::operator<<(char const*)"),
	mu_demangle_test("_ZN11QTextStreamlsERK7QString_ptr", "QTextStream::operator<<(QString const&)"),
	mu_demangle_test("_ZN11QThreadPool5startEP9QRunnablei_ptr", "QThreadPool::start(QRunnable*, int)"),
	mu_demangle_test("_ZN11QThreadPoolC1EP7QObject_ptr", "QThreadPool::QThreadPool(QObject*)"),
	mu_demangle_test("_ZN11QToolButton12setArrowTypeEN2Qt9ArrowTypeE_ptr", "QToolButton::setArrowType(Qt::ArrowType)"),
	mu_demangle_test("_ZN11QToolButtonC1EP7QWidget_ptr", "QToolButton::QToolButton(QWidget*)"),
	mu_demangle_test("_ZN11QVBoxLayoutC1EP7QWidget_ptr", "QVBoxLayout::QVBoxLayout(QWidget*)"),
	mu_demangle_test("_ZN11QVBoxLayoutC1Ev_ptr", "QVBoxLayout::QVBoxLayout()"),
	mu_demangle_test("_ZN11SymbolsViewC1EP9ViewFrameN11BinaryNinja3RefINS2_10BinaryViewEEE_ptr", "SymbolsView::SymbolsView(ViewFrame*, BinaryNinja::Ref<BinaryNinja::BinaryView>)"),
	mu_demangle_test("_ZN12FilteredView10showFilterERK7QString_ptr", "FilteredView::showFilter(QString const&)"),
	mu_demangle_test("_ZN12FilteredView5matchERKNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEES7__ptr", "FilteredView::match(std::string const&, std::string const&)"),
	mu_demangle_test("_ZN12FilteredViewC1EP7QWidgetS1_P12FilterTarget_ptr", "FilteredView::FilteredView(QWidget*, QWidget*, FilterTarget*)"),
	mu_demangle_test("_ZN12LogListModel16staticMetaObjectE_ptr", "LogListModel::staticMetaObject"),
	mu_demangle_test("_ZN12QApplication11focusWidgetEv_ptr", "QApplication::focusWidget()"),
	mu_demangle_test("_ZN12QApplication11qt_metacallEN11QMetaObject4CallEiPPv_ptr", "QApplication::qt_metacall(QMetaObject::Call, int, void**)"),
	mu_demangle_test("_ZN12QApplication11qt_metacastEPKc_ptr", "QApplication::qt_metacast(char const*)"),
	mu_demangle_test("_ZN12QApplication12activeWindowEv_ptr", "QApplication::activeWindow()"),
	mu_demangle_test("_ZN12QApplication17activeModalWidgetEv_ptr", "QApplication::activeModalWidget()"),
	mu_demangle_test("_ZN12QApplication4execEv_ptr", "QApplication::exec()"),
	mu_demangle_test("_ZN12QApplication4fontEv_ptr", "QApplication::font()"),
	mu_demangle_test("_ZN12QApplication7setFontERK5QFontPKc_ptr", "QApplication::setFont(QFont const&, char const*)"),
	mu_demangle_test("_ZN12QApplicationC2ERiPPci_ptr", "QApplication::QApplication(int&, char**, int)"),
	mu_demangle_test("_ZN12QApplicationD2Ev_ptr", "QApplication::~QApplication()"),
	mu_demangle_test("_ZN12QDirIterator4nextEv_ptr", "QDirIterator::next()"),
	mu_demangle_test("_ZN12QDirIteratorC1ERK7QString6QFlagsINS_12IteratorFlagEE_ptr", "QDirIterator::QDirIterator(QString const&, QFlags<QDirIterator::IteratorFlag>)"),
	mu_demangle_test("_ZN12QDirIteratorD1Ev_ptr", "QDirIterator::~QDirIterator()"),
	mu_demangle_test("_ZN12QEasingCurveC1ENS_4TypeE_ptr", "QEasingCurve::QEasingCurve(QEasingCurve::Type)"),
	mu_demangle_test("_ZN12QEasingCurveD1Ev_ptr", "QEasingCurve::~QEasingCurve()"),
	mu_demangle_test("_ZN12QFontMetricsC1ERK5QFont_ptr", "QFontMetrics::QFontMetrics(QFont const&)"),
	mu_demangle_test("_ZN12QFontMetricsD1Ev_ptr", "QFontMetrics::~QFontMetrics()"),
	mu_demangle_test("_ZN12QInputDialog12setLabelTextERK7QString_ptr", "QInputDialog::setLabelText(QString const&)"),
	mu_demangle_test("_ZN12QInputDialog15setTextEchoModeEN9QLineEdit8EchoModeE_ptr", "QInputDialog::setTextEchoMode(QLineEdit::EchoMode)"),
	mu_demangle_test("_ZN12QInputDialog7getItemEP7QWidgetRK7QStringS4_RK11QStringListibPb6QFlagsIN2Qt10WindowTypeEES9_INSA_15InputMethodHintEE_ptr", "QInputDialog::getItem(QWidget*, QString const&, QString const&, QStringList const&, int, bool, bool*, QFlags<Qt::WindowType>, QFlags<Qt::InputMethodHint>)"),
	mu_demangle_test("_ZN12QInputDialog7getTextEP7QWidgetRK7QStringS4_N9QLineEdit8EchoModeES4_Pb6QFlagsIN2Qt10WindowTypeEES8_INS9_15InputMethodHintEE_ptr", "QInputDialog::getText(QWidget*, QString const&, QString const&, QLineEdit::EchoMode, QString const&, bool*, QFlags<Qt::WindowType>, QFlags<Qt::InputMethodHint>)"),
	mu_demangle_test("_ZN12QInputDialogC1EP7QWidget6QFlagsIN2Qt10WindowTypeEE_ptr", "QInputDialog::QInputDialog(QWidget*, QFlags<Qt::WindowType>)"),
	mu_demangle_test("_ZN12QInputDialogD1Ev_ptr", "QInputDialog::~QInputDialog()"),
	mu_demangle_test("_ZN12QKeySequenceC1Eiiii_ptr", "QKeySequence::QKeySequence(int, int, int, int)"),
	mu_demangle_test("_ZN12QKeySequenceC1ENS_11StandardKeyE_ptr", "QKeySequence::QKeySequence(QKeySequence::StandardKey)"),
	mu_demangle_test("_ZN12QKeySequenceC1ERK7QStringNS_14SequenceFormatE_ptr", "QKeySequence::QKeySequence(QString const&, QKeySequence::SequenceFormat)"),
	mu_demangle_test("_ZN12QKeySequenceC1ERKS__ptr", "QKeySequence::QKeySequence(QKeySequence const&)"),
	mu_demangle_test("_ZN12QKeySequenceC1Ev_ptr", "QKeySequence::QKeySequence()"),
	mu_demangle_test("_ZN12QKeySequenceD1Ev_ptr", "QKeySequence::~QKeySequence()"),
	mu_demangle_test("_ZN12QRadioButtonC1ERK7QStringP7QWidget_ptr", "QRadioButton::QRadioButton(QString const&, QWidget*)"),
	mu_demangle_test("_ZN12QStyleOption4initEPK7QWidget_ptr", "QStyleOption::init(QWidget const*)"),
	mu_demangle_test("_ZN12QStyleOptionC1Eii_ptr", "QStyleOption::QStyleOption(int, int)"),
	mu_demangle_test("_ZN12QStyleOptionD1Ev_ptr", "QStyleOption::~QStyleOption()"),
	mu_demangle_test("_ZN12QTextBrowser20setOpenExternalLinksEb_ptr", "QTextBrowser::setOpenExternalLinks(bool)"),
	mu_demangle_test("_ZN12QTextBrowserC1EP7QWidget_ptr", "QTextBrowser::QTextBrowser(QWidget*)"),
	mu_demangle_test("_ZN12ReportWidgetC1EP7QWidgetN11BinaryNinja3RefINS2_10BinaryViewEEERKNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEE12BNReportTypeSD_SD__ptr", "ReportWidget::ReportWidget(QWidget*, BinaryNinja::Ref<BinaryNinja::BinaryView>, std::string const&, BNReportType, std::string const&, std::string const&)"),
	mu_demangle_test("_ZN13QFileAccessor5CloseEv_ptr", "QFileAccessor::Close()"),
	mu_demangle_test("_ZN13QFileAccessorC1ERK7QStringb_ptr", "QFileAccessor::QFileAccessor(QString const&, bool)"),
	mu_demangle_test("_ZN13QFileAccessorD1Ev_ptr", "QFileAccessor::~QFileAccessor()"),
	mu_demangle_test("_ZN13QFontDatabase18addApplicationFontERK7QString_ptr", "QFontDatabase::addApplicationFont(QString const&)"),
	mu_demangle_test("_ZN13QFontMetricsFC1ERK5QFont_ptr", "QFontMetricsF::QFontMetricsF(QFont const&)"),
	mu_demangle_test("_ZN13QFontMetricsFD1Ev_ptr", "QFontMetricsF::~QFontMetricsF()"),
	mu_demangle_test("_ZN13QItemDelegate11qt_metacallEN11QMetaObject4CallEiPPv_ptr", "QItemDelegate::qt_metacall(QMetaObject::Call, int, void**)"),
	mu_demangle_test("_ZN13QItemDelegate11qt_metacastEPKc_ptr", "QItemDelegate::qt_metacast(char const*)"),
	mu_demangle_test("_ZN13QItemDelegateC2EP7QObject_ptr", "QItemDelegate::QItemDelegate(QObject*)"),
	mu_demangle_test("_ZN13QItemDelegateD2Ev_ptr", "QItemDelegate::~QItemDelegate()"),
	mu_demangle_test("_ZN13QJsonDocument8fromJsonERK10QByteArrayP15QJsonParseError_ptr", "QJsonDocument::fromJson(QByteArray const&, QJsonParseError*)"),
	mu_demangle_test("_ZN13QJsonDocumentD1Ev_ptr", "QJsonDocument::~QJsonDocument()"),
	mu_demangle_test("_ZN13RenderContext19drawDisassemblyLineER8QPainteriiRKSt6vectorIN11BinaryNinja20InstructionTextTokenESaIS4_EER19HighlightTokenStateb_ptr", "RenderContext::drawDisassemblyLine(QPainter&, int, int, std::vector<BinaryNinja::InstructionTextToken> const&, HighlightTokenState&, bool)"),
	mu_demangle_test("_ZN13RenderContext7setFontERK5QFont_ptr", "RenderContext::setFont(QFont const&)"),
	mu_demangle_test("_ZN13RenderContextC1EP7QWidgetf_ptr", "RenderContext::RenderContext(QWidget*, float)"),
	mu_demangle_test("_ZN13TagListWidgetC1EP7QWidgetP9ViewFrameN11BinaryNinja3RefINS4_10BinaryViewEEE_ptr", "TagListWidget::TagListWidget(QWidget*, ViewFrame*, BinaryNinja::Ref<BinaryNinja::BinaryView>)"),
	mu_demangle_test("_ZN14ClickableLabel16staticMetaObjectE_ptr", "ClickableLabel::staticMetaObject"),
	mu_demangle_test("_ZN14ClickableLabel7clickedEv_ptr", "ClickableLabel::clicked()"),
	mu_demangle_test("_ZN14CommandPalette10focusInputEv_ptr", "CommandPalette::focusInput()"),
	mu_demangle_test("_ZN14CommandPaletteC1EP7QWidgetP15UIActionHandler_ptr", "CommandPalette::CommandPalette(QWidget*, UIActionHandler*)"),
	mu_demangle_test("_ZN14QDoubleSpinBox10setMaximumEd_ptr", "QDoubleSpinBox::setMaximum(double)"),
	mu_demangle_test("_ZN14QDoubleSpinBox10setMinimumEd_ptr", "QDoubleSpinBox::setMinimum(double)"),
	mu_demangle_test("_ZN14QDoubleSpinBox11setDecimalsEi_ptr", "QDoubleSpinBox::setDecimals(int)"),
	mu_demangle_test("_ZN14QDoubleSpinBox8setValueEd_ptr", "QDoubleSpinBox::setValue(double)"),
	mu_demangle_test("_ZN14QDoubleSpinBoxC1EP7QWidget_ptr", "QDoubleSpinBox::QDoubleSpinBox(QWidget*)"),
	mu_demangle_test("_ZN14QWebEnginePage11qt_metacallEN11QMetaObject4CallEiPPv_ptr", "QWebEnginePage::qt_metacall(QMetaObject::Call, int, void**)"),
	mu_demangle_test("_ZN14QWebEnginePage11qt_metacastEPKc_ptr", "QWebEnginePage::qt_metacast(char const*)"),
	mu_demangle_test("_ZN14QWebEnginePage13runJavaScriptERK7QStringj_ptr", "QWebEnginePage::runJavaScript(QString const&, unsigned int)"),
	mu_demangle_test("_ZN14QWebEnginePage13runJavaScriptERK7QStringRK18QWebEngineCallbackIRK8QVariantE_ptr", "QWebEnginePage::runJavaScript(QString const&, QWebEngineCallback<QVariant const&> const&)"),
	mu_demangle_test("_ZN14QWebEnginePage16staticMetaObjectE_ptr", "QWebEnginePage::staticMetaObject"),
	mu_demangle_test("_ZN14QWebEnginePage18setBackgroundColorERK6QColor_ptr", "QWebEnginePage::setBackgroundColor(QColor const&)"),
	mu_demangle_test("_ZN14QWebEnginePage19contentsSizeChangedERK6QSizeF_ptr", "QWebEnginePage::contentsSizeChanged(QSizeF const&)"),
	mu_demangle_test("_ZN14QWebEnginePage23acceptNavigationRequestERK4QUrlNS_14NavigationTypeEb_ptr", "QWebEnginePage::acceptNavigationRequest(QUrl const&, QWebEnginePage::NavigationType, bool)"),
	mu_demangle_test("_ZN14QWebEnginePage7scriptsEv_ptr", "QWebEnginePage::scripts()"),
	mu_demangle_test("_ZN14QWebEnginePageC2EP7QObject_ptr", "QWebEnginePage::QWebEnginePage(QObject*)"),
	mu_demangle_test("_ZN14QWebEnginePageD2Ev_ptr", "QWebEnginePage::~QWebEnginePage()"),
	mu_demangle_test("_ZN14QWebEngineView13setZoomFactorEd_ptr", "QWebEngineView::setZoomFactor(double)"),
	mu_demangle_test("_ZN14QWebEngineView6setUrlERK4QUrl_ptr", "QWebEngineView::setUrl(QUrl const&)"),
	mu_demangle_test("_ZN14QWebEngineView7setHtmlERK7QStringRK4QUrl_ptr", "QWebEngineView::setHtml(QString const&, QUrl const&)"),
	mu_demangle_test("_ZN14QWebEngineView7setPageEP14QWebEnginePage_ptr", "QWebEngineView::setPage(QWebEnginePage*)"),
	mu_demangle_test("_ZN14QWebEngineViewC1EP7QWidget_ptr", "QWebEngineView::QWebEngineView(QWidget*)"),
	mu_demangle_test("_ZN14ReflectionViewC1EP9ViewFrameN11BinaryNinja3RefINS2_10BinaryViewEEE_ptr", "ReflectionView::ReflectionView(ViewFrame*, BinaryNinja::Ref<BinaryNinja::BinaryView>)"),
	mu_demangle_test("_ZN15FlowGraphWidgetC1EP7QWidgetN11BinaryNinja3RefINS2_10BinaryViewEEENS3_INS2_9FlowGraphEEE_ptr", "FlowGraphWidget::FlowGraphWidget(QWidget*, BinaryNinja::Ref<BinaryNinja::BinaryView>, BinaryNinja::Ref<BinaryNinja::FlowGraph>)"),
	mu_demangle_test("_ZN15FormInputDialogC1EP7QWidgetPSt6vectorIN11BinaryNinja14FormInputFieldESaIS4_EERKNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEE_ptr", "FormInputDialog::FormInputDialog(QWidget*, std::vector<BinaryNinja::FormInputField>*, std::string const&)"),
	mu_demangle_test("_ZN15QAbstractButton10setCheckedEb_ptr", "QAbstractButton::setChecked(bool)"),
	mu_demangle_test("_ZN15QAbstractButton16staticMetaObjectE_ptr", "QAbstractButton::staticMetaObject"),
	mu_demangle_test("_ZN15QAbstractButton7clickedEb_ptr", "QAbstractButton::clicked(bool)"),
	mu_demangle_test("_ZN15QAbstractButton7setTextERK7QString_ptr", "QAbstractButton::setText(QString const&)"),
	mu_demangle_test("_ZN15QAbstractSlider13setSingleStepEi_ptr", "QAbstractSlider::setSingleStep(int)"),
	mu_demangle_test("_ZN15QGuiApplication22queryKeyboardModifiersEv_ptr", "QGuiApplication::queryKeyboardModifiers()"),
	mu_demangle_test("_ZN15QGuiApplication7screensEv_ptr", "QGuiApplication::screens()"),
	mu_demangle_test("_ZN15QGuiApplication9clipboardEv_ptr", "QGuiApplication::clipboard()"),
	mu_demangle_test("_ZN15QNetworkRequest12setAttributeENS_9AttributeERK8QVariant_ptr", "QNetworkRequest::setAttribute(QNetworkRequest::Attribute, QVariant const&)"),
	mu_demangle_test("_ZN15QNetworkRequest12setRawHeaderERK10QByteArrayS2__ptr", "QNetworkRequest::setRawHeader(QByteArray const&, QByteArray const&)"),
	mu_demangle_test("_ZN15QNetworkRequest18setTransferTimeoutEi_ptr", "QNetworkRequest::setTransferTimeout(int)"),
	mu_demangle_test("_ZN15QNetworkRequestC1ERK4QUrl_ptr", "QNetworkRequest::QNetworkRequest(QUrl const&)"),
	mu_demangle_test("_ZN15QNetworkRequestD1Ev_ptr", "QNetworkRequest::~QNetworkRequest()"),
	mu_demangle_test("_ZN15QProgressDialog10setMaximumEi_ptr", "QProgressDialog::setMaximum(int)"),
	mu_demangle_test("_ZN15QProgressDialog12setLabelTextERK7QString_ptr", "QProgressDialog::setLabelText(QString const&)"),
	mu_demangle_test("_ZN15QProgressDialog18setMinimumDurationEi_ptr", "QProgressDialog::setMinimumDuration(int)"),
	mu_demangle_test("_ZN15QProgressDialog19setCancelButtonTextERK7QString_ptr", "QProgressDialog::setCancelButtonText(QString const&)"),
	mu_demangle_test("_ZN15QProgressDialog6cancelEv_ptr", "QProgressDialog::cancel()"),
	mu_demangle_test("_ZN15QProgressDialog8setValueEi_ptr", "QProgressDialog::setValue(int)"),
	mu_demangle_test("_ZN15QProgressDialogC1EP7QWidget6QFlagsIN2Qt10WindowTypeEE_ptr", "QProgressDialog::QProgressDialog(QWidget*, QFlags<Qt::WindowType>)"),
	mu_demangle_test("_ZN15QProgressDialogD1Ev_ptr", "QProgressDialog::~QProgressDialog()"),
	mu_demangle_test("_ZN15QtSharedPointer20ExternalRefCountData9getAndRefEPK7QObject_ptr", "QtSharedPointer::ExternalRefCountData::getAndRef(QObject const*)"),
	mu_demangle_test("_ZN15UIActionContextC1Ev_ptr", "UIActionContext::UIActionContext()"),
	mu_demangle_test("_ZN15UIActionHandler10bindActionERK7QStringRK8UIAction14ActionPriority_ptr", "UIActionHandler::bindAction(QString const&, UIAction const&, ActionPriority)"),
	mu_demangle_test("_ZN15UIActionHandler10bindActionERK7QStringRK8UIAction_ptr", "UIActionHandler::bindAction(QString const&, UIAction const&)"),
	mu_demangle_test("_ZN15UIActionHandler10setCheckedERK7QStringRKSt8functionIFbvEE_ptr", "UIActionHandler::setChecked(QString const&, std::function<bool ()> const&)"),
	mu_demangle_test("_ZN15UIActionHandler12unbindActionERK7QString_ptr", "UIActionHandler::unbindAction(QString const&)"),
	mu_demangle_test("_ZN15UIActionHandler13executeActionERK7QString_ptr", "UIActionHandler::executeAction(QString const&)"),
	mu_demangle_test("_ZN15UIActionHandler14reparentWidgetEP7QWidget_ptr", "UIActionHandler::reparentWidget(QWidget*)"),
	mu_demangle_test("_ZN15UIActionHandler18setupActionHandlerEP7QWidgetb_ptr", "UIActionHandler::setupActionHandler(QWidget*, bool)"),
	mu_demangle_test("_ZN15UIActionHandler20setActionDisplayNameERK7QStringRKSt8functionIFS0_vEE_ptr", "UIActionHandler::setActionDisplayName(QString const&, std::function<QString ()> const&)"),
	mu_demangle_test("_ZN15UIActionHandler23actionHandlerFromWidgetEP7QWidget_ptr", "UIActionHandler::actionHandlerFromWidget(QWidget*)"),
	mu_demangle_test("_ZN15UIActionHandler24bindPluginCommandActionsEv_ptr", "UIActionHandler::bindPluginCommandActions()"),
	mu_demangle_test("_ZN15UIActionHandlerC1Eb_ptr", "UIActionHandler::UIActionHandler(bool)"),
	mu_demangle_test("_ZN15UIActionHandlerD1Ev_ptr", "UIActionHandler::~UIActionHandler()"),
	mu_demangle_test("_ZN16AddressIndicator10setOffsetsEmm_ptr", "AddressIndicator::setOffsets(unsigned long, unsigned long)"),
	mu_demangle_test("_ZN16AddressIndicatorC1EP7QWidget_ptr", "AddressIndicator::AddressIndicator(QWidget*)"),
	mu_demangle_test("_ZN16MainMenuInstance6updateEP15UIActionHandler_ptr", "MainMenuInstance::update(UIActionHandler*)"),
	mu_demangle_test("_ZN16MainMenuInstance6updateEP15UIActionHandlerRK15UIActionContext_ptr", "MainMenuInstance::update(UIActionHandler*, UIActionContext const&)"),
	mu_demangle_test("_ZN16MainMenuInstanceC1EP8QMenuBar_ptr", "MainMenuInstance::MainMenuInstance(QMenuBar*)"),
	mu_demangle_test("_ZN16MainMenuInstanceD1Ev_ptr", "MainMenuInstance::~MainMenuInstance()"),
	mu_demangle_test("_ZN16QAbstractSpinBox11setWrappingEb_ptr", "QAbstractSpinBox::setWrapping(bool)"),
	mu_demangle_test("_ZN16QCoreApplication12setAttributeEN2Qt20ApplicationAttributeEb_ptr", "QCoreApplication::setAttribute(Qt::ApplicationAttribute, bool)"),
	mu_demangle_test("_ZN16QCoreApplication13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE_ptr", "QCoreApplication::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)"),
	mu_demangle_test("_ZN16QCoreApplication18applicationDirPathEv_ptr", "QCoreApplication::applicationDirPath()"),
	mu_demangle_test("_ZN16QCoreApplication18setApplicationNameERK7QString_ptr", "QCoreApplication::setApplicationName(QString const&)"),
	mu_demangle_test("_ZN16QCoreApplication19setOrganizationNameERK7QString_ptr", "QCoreApplication::setOrganizationName(QString const&)"),
	mu_demangle_test("_ZN16QCoreApplication21setApplicationVersionERK7QString_ptr", "QCoreApplication::setApplicationVersion(QString const&)"),
	mu_demangle_test("_ZN16QCoreApplication21setOrganizationDomainERK7QString_ptr", "QCoreApplication::setOrganizationDomain(QString const&)"),
	mu_demangle_test("_ZN16QCoreApplication4selfE_ptr", "QCoreApplication::self"),
	mu_demangle_test("_ZN16QCoreApplication9argumentsEv_ptr", "QCoreApplication::arguments()"),
	mu_demangle_test("_ZN16QCoreApplication9postEventEP7QObjectP6QEventi_ptr", "QCoreApplication::postEvent(QObject*, QEvent*, int)"),
	mu_demangle_test("_ZN16QCoreApplication9translateEPKcS1_S1_i_ptr", "QCoreApplication::translate(char const*, char const*, char const*, int)"),
	mu_demangle_test("_ZN16QDesktopServices7openUrlERK4QUrl_ptr", "QDesktopServices::openUrl(QUrl const&)"),
	mu_demangle_test("_ZN16QKeySequenceEdit14setKeySequenceERK12QKeySequence_ptr", "QKeySequenceEdit::setKeySequence(QKeySequence const&)"),
	mu_demangle_test("_ZN16QKeySequenceEdit16staticMetaObjectE_ptr", "QKeySequenceEdit::staticMetaObject"),
	mu_demangle_test("_ZN16QKeySequenceEditC1EP7QWidget_ptr", "QKeySequenceEdit::QKeySequenceEdit(QWidget*)"),
	mu_demangle_test("_ZN16QWebEngineScript10setWorldIdEj_ptr", "QWebEngineScript::setWorldId(unsigned int)"),
	mu_demangle_test("_ZN16QWebEngineScript13setSourceCodeERK7QString_ptr", "QWebEngineScript::setSourceCode(QString const&)"),
	mu_demangle_test("_ZN16QWebEngineScript17setInjectionPointENS_14InjectionPointE_ptr", "QWebEngineScript::setInjectionPoint(QWebEngineScript::InjectionPoint)"),
	mu_demangle_test("_ZN16QWebEngineScript18setRunsOnSubFramesEb_ptr", "QWebEngineScript::setRunsOnSubFrames(bool)"),
	mu_demangle_test("_ZN16QWebEngineScript7setNameERK7QString_ptr", "QWebEngineScript::setName(QString const&)"),
	mu_demangle_test("_ZN16QWebEngineScriptC1Ev_ptr", "QWebEngineScript::QWebEngineScript()"),
	mu_demangle_test("_ZN16QWebEngineScriptD1Ev_ptr", "QWebEngineScript::~QWebEngineScript()"),
	mu_demangle_test("_ZN16ScriptingConsoleC1EP7QWidgetRK7QStringS4_N11BinaryNinja3RefINS5_17ScriptingInstanceEEE_ptr", "ScriptingConsole::ScriptingConsole(QWidget*, QString const&, QString const&, BinaryNinja::Ref<BinaryNinja::ScriptingInstance>)"),
	mu_demangle_test("_ZN16UIContextHandlerD2Ev_ptr", "UIContextHandler::~UIContextHandler()"),
	mu_demangle_test("_ZN17QAbstractItemView11resizeEventEP12QResizeEvent_ptr", "QAbstractItemView::resizeEvent(QResizeEvent*)"),
	mu_demangle_test("_ZN17QAbstractItemView11scrollToTopEv_ptr", "QAbstractItemView::scrollToTop()"),
	mu_demangle_test("_ZN17QAbstractItemView13keyPressEventEP9QKeyEvent_ptr", "QAbstractItemView::keyPressEvent(QKeyEvent*)"),
	mu_demangle_test("_ZN17QAbstractItemView14clearSelectionEv_ptr", "QAbstractItemView::clearSelection()"),
	mu_demangle_test("_ZN17QAbstractItemView15mousePressEventEP11QMouseEvent_ptr", "QAbstractItemView::mousePressEvent(QMouseEvent*)"),
	mu_demangle_test("_ZN17QAbstractItemView15setCurrentIndexERK11QModelIndex_ptr", "QAbstractItemView::setCurrentIndex(QModelIndex const&)"),
	mu_demangle_test("_ZN17QAbstractItemView15setEditTriggersE6QFlagsINS_11EditTriggerEE_ptr", "QAbstractItemView::setEditTriggers(QFlags<QAbstractItemView::EditTrigger>)"),
	mu_demangle_test("_ZN17QAbstractItemView15setItemDelegateEP21QAbstractItemDelegate_ptr", "QAbstractItemView::setItemDelegate(QAbstractItemDelegate*)"),
	mu_demangle_test("_ZN17QAbstractItemView16setSelectionModeENS_13SelectionModeE_ptr", "QAbstractItemView::setSelectionMode(QAbstractItemView::SelectionMode)"),
	mu_demangle_test("_ZN17QAbstractItemView20openPersistentEditorERK11QModelIndex_ptr", "QAbstractItemView::openPersistentEditor(QModelIndex const&)"),
	mu_demangle_test("_ZN17QAbstractItemView20setSelectionBehaviorENS_17SelectionBehaviorE_ptr", "QAbstractItemView::setSelectionBehavior(QAbstractItemView::SelectionBehavior)"),
	mu_demangle_test("_ZN17QAbstractItemView21closePersistentEditorERK11QModelIndex_ptr", "QAbstractItemView::closePersistentEditor(QModelIndex const&)"),
	mu_demangle_test("_ZN17QAbstractItemView21setVerticalScrollModeENS_10ScrollModeE_ptr", "QAbstractItemView::setVerticalScrollMode(QAbstractItemView::ScrollMode)"),
	mu_demangle_test("_ZN17QAbstractItemView23setHorizontalScrollModeENS_10ScrollModeE_ptr", "QAbstractItemView::setHorizontalScrollMode(QAbstractItemView::ScrollMode)"),
	mu_demangle_test("_ZN17QAbstractItemView4editERK11QModelIndex_ptr", "QAbstractItemView::edit(QModelIndex const&)"),
	mu_demangle_test("_ZN17QVariantAnimation11setDurationEi_ptr", "QVariantAnimation::setDuration(int)"),
	mu_demangle_test("_ZN17QVariantAnimation11setEndValueERK8QVariant_ptr", "QVariantAnimation::setEndValue(QVariant const&)"),
	mu_demangle_test("_ZN17QVariantAnimation13setStartValueERK8QVariant_ptr", "QVariantAnimation::setStartValue(QVariant const&)"),
	mu_demangle_test("_ZN17QVariantAnimation14setEasingCurveERK12QEasingCurve_ptr", "QVariantAnimation::setEasingCurve(QEasingCurve const&)"),
	mu_demangle_test("_ZN17QWebEngineProfile16setHttpCacheTypeENS_13HttpCacheTypeE_ptr", "QWebEngineProfile::setHttpCacheType(QWebEngineProfile::HttpCacheType)"),
	mu_demangle_test("_ZN18ContextMenuManager4showEP4MenuP15UIActionHandler_ptr", "ContextMenuManager::show(Menu*, UIActionHandler*)"),
	mu_demangle_test("_ZN18ContextMenuManager6createEv_ptr", "ContextMenuManager::create()"),
	mu_demangle_test("_ZN18ContextMenuManagerC1EP7QWidget_ptr", "ContextMenuManager::ContextMenuManager(QWidget*)"),
	mu_demangle_test("_ZN18ContextMenuManagerD1Ev_ptr", "ContextMenuManager::~ContextMenuManager()"),
	mu_demangle_test("_ZN18QAbstractAnimation12setDirectionENS_9DirectionE_ptr", "QAbstractAnimation::setDirection(QAbstractAnimation::Direction)"),
	mu_demangle_test("_ZN18QAbstractAnimation4stopEv_ptr", "QAbstractAnimation::stop()"),
	mu_demangle_test("_ZN18QAbstractAnimation5startENS_14DeletionPolicyE_ptr", "QAbstractAnimation::start(QAbstractAnimation::DeletionPolicy)"),
	mu_demangle_test("_ZN18QAbstractItemModel11dataChangedERK11QModelIndexS2_RK7QVectorIiE_ptr", "QAbstractItemModel::dataChanged(QModelIndex const&, QModelIndex const&, QVector<int> const&)"),
	mu_demangle_test("_ZN18QAbstractItemModel11qt_metacallEN11QMetaObject4CallEiPPv_ptr", "QAbstractItemModel::qt_metacall(QMetaObject::Call, int, void**)"),
	mu_demangle_test("_ZN18QAbstractItemModel11qt_metacastEPKc_ptr", "QAbstractItemModel::qt_metacast(char const*)"),
	mu_demangle_test("_ZN18QAbstractItemModel13endResetModelEv_ptr", "QAbstractItemModel::endResetModel()"),
	mu_demangle_test("_ZN18QAbstractItemModel13layoutChangedERK5QListI21QPersistentModelIndexENS_16LayoutChangeHintE_ptr", "QAbstractItemModel::layoutChanged(QList<QPersistentModelIndex> const&, QAbstractItemModel::LayoutChangeHint)"),
	mu_demangle_test("_ZN18QAbstractItemModel15beginResetModelEv_ptr", "QAbstractItemModel::beginResetModel()"),
	mu_demangle_test("_ZN18QAbstractItemModel16staticMetaObjectE_ptr", "QAbstractItemModel::staticMetaObject"),
	mu_demangle_test("_ZN18QAbstractItemModel22layoutAboutToBeChangedERK5QListI21QPersistentModelIndexENS_16LayoutChangeHintE_ptr", "QAbstractItemModel::layoutAboutToBeChanged(QList<QPersistentModelIndex> const&, QAbstractItemModel::LayoutChangeHint)"),
	mu_demangle_test("_ZN18QAbstractItemModelC2EP7QObject_ptr", "QAbstractItemModel::QAbstractItemModel(QObject*)"),
	mu_demangle_test("_ZN18QAbstractItemModelD2Ev_ptr", "QAbstractItemModel::~QAbstractItemModel()"),
	mu_demangle_test("_ZN18QAbstractListModel11qt_metacallEN11QMetaObject4CallEiPPv_ptr", "QAbstractListModel::qt_metacall(QMetaObject::Call, int, void**)"),
	mu_demangle_test("_ZN18QAbstractListModel11qt_metacastEPKc_ptr", "QAbstractListModel::qt_metacast(char const*)"),
	mu_demangle_test("_ZN18QAbstractListModelC2EP7QObject_ptr", "QAbstractListModel::QAbstractListModel(QObject*)"),
	mu_demangle_test("_ZN18QAbstractListModelD2Ev_ptr", "QAbstractListModel::~QAbstractListModel()"),
	mu_demangle_test("_ZN18QCommandLineOptionC1ERK11QStringListRK7QStringS5_S5__ptr", "QCommandLineOption::QCommandLineOption(QStringList const&, QString const&, QString const&, QString const&)"),
	mu_demangle_test("_ZN18QCommandLineOptionD1Ev_ptr", "QCommandLineOption::~QCommandLineOption()"),
	mu_demangle_test("_ZN18QCommandLineParser13addHelpOptionEv_ptr", "QCommandLineParser::addHelpOption()"),
	mu_demangle_test("_ZN18QCommandLineParser16addVersionOptionEv_ptr", "QCommandLineParser::addVersionOption()"),
	mu_demangle_test("_ZN18QCommandLineParser25setApplicationDescriptionERK7QString_ptr", "QCommandLineParser::setApplicationDescription(QString const&)"),
	mu_demangle_test("_ZN18QCommandLineParser7processERK16QCoreApplication_ptr", "QCommandLineParser::process(QCoreApplication const&)"),
	mu_demangle_test("_ZN18QCommandLineParser9addOptionERK18QCommandLineOption_ptr", "QCommandLineParser::addOption(QCommandLineOption const&)"),
	mu_demangle_test("_ZN18QCommandLineParserC1Ev_ptr", "QCommandLineParser::QCommandLineParser()"),
	mu_demangle_test("_ZN18QCommandLineParserD1Ev_ptr", "QCommandLineParser::~QCommandLineParser()"),
	mu_demangle_test("_ZN18QProgressIndicator14startAnimationEv_ptr", "QProgressIndicator::startAnimation()"),
	mu_demangle_test("_ZN18QProgressIndicator17setAnimationDelayEi_ptr", "QProgressIndicator::setAnimationDelay(int)"),
	mu_demangle_test("_ZN18QProgressIndicator8setColorERK6QColor_ptr", "QProgressIndicator::setColor(QColor const&)"),
	mu_demangle_test("_ZN18QProgressIndicatorC1EP7QWidget_ptr", "QProgressIndicator::QProgressIndicator(QWidget*)"),
	mu_demangle_test("_ZN18QPropertyAnimationC1EP7QObjectRK10QByteArrayS1__ptr", "QPropertyAnimation::QPropertyAnimation(QObject*, QByteArray const&, QObject*)"),
	mu_demangle_test("_ZN18QRegularExpression10setPatternERK7QString_ptr", "QRegularExpression::setPattern(QString const&)"),
	mu_demangle_test("_ZN18QRegularExpression17setPatternOptionsE6QFlagsINS_13PatternOptionEE_ptr", "QRegularExpression::setPatternOptions(QFlags<QRegularExpression::PatternOption>)"),
	mu_demangle_test("_ZN18QRegularExpressionC1ERK7QString6QFlagsINS_13PatternOptionEE_ptr", "QRegularExpression::QRegularExpression(QString const&, QFlags<QRegularExpression::PatternOption>)"),
	mu_demangle_test("_ZN18QRegularExpressionC1Ev_ptr", "QRegularExpression::QRegularExpression()"),
	mu_demangle_test("_ZN18QRegularExpressionD1Ev_ptr", "QRegularExpression::~QRegularExpression()"),
	mu_demangle_test("_ZN18QWebEngineSettings12setAttributeENS_12WebAttributeEb_ptr", "QWebEngineSettings::setAttribute(QWebEngineSettings::WebAttribute, bool)"),
	mu_demangle_test("_ZN19HighlightTokenStateC1Ev_ptr", "HighlightTokenState::HighlightTokenState()"),
	mu_demangle_test("_ZN19QAbstractScrollArea26setVerticalScrollBarPolicyEN2Qt15ScrollBarPolicyE_ptr", "QAbstractScrollArea::setVerticalScrollBarPolicy(Qt::ScrollBarPolicy)"),
	mu_demangle_test("_ZN19QAbstractScrollArea28setHorizontalScrollBarPolicyEN2Qt15ScrollBarPolicyE_ptr", "QAbstractScrollArea::setHorizontalScrollBarPolicy(Qt::ScrollBarPolicy)"),
	mu_demangle_test("_ZN19QAbstractTableModel11qt_metacallEN11QMetaObject4CallEiPPv_ptr", "QAbstractTableModel::qt_metacall(QMetaObject::Call, int, void**)"),
	mu_demangle_test("_ZN19QAbstractTableModel11qt_metacastEPKc_ptr", "QAbstractTableModel::qt_metacast(char const*)"),
	mu_demangle_test("_ZN19QAbstractTableModelC2EP7QObject_ptr", "QAbstractTableModel::QAbstractTableModel(QObject*)"),
	mu_demangle_test("_ZN19QAbstractTableModelD2Ev_ptr", "QAbstractTableModel::~QAbstractTableModel()"),
	mu_demangle_test("_ZN19QStyledItemDelegate11eventFilterEP7QObjectP6QEvent_ptr", "QStyledItemDelegate::eventFilter(QObject*, QEvent*)"),
	mu_demangle_test("_ZN19QStyledItemDelegate11qt_metacallEN11QMetaObject4CallEiPPv_ptr", "QStyledItemDelegate::qt_metacall(QMetaObject::Call, int, void**)"),
	mu_demangle_test("_ZN19QStyledItemDelegate11qt_metacastEPKc_ptr", "QStyledItemDelegate::qt_metacast(char const*)"),
	mu_demangle_test("_ZN19QStyledItemDelegateC2EP7QObject_ptr", "QStyledItemDelegate::QStyledItemDelegate(QObject*)"),
	mu_demangle_test("_ZN19QStyledItemDelegateD2Ev_ptr", "QStyledItemDelegate::~QStyledItemDelegate()"),
	mu_demangle_test("_ZN20CrossReferenceWidgetC1EP9ViewFrameN11BinaryNinja3RefINS2_10BinaryViewEEEb_ptr", "CrossReferenceWidget::CrossReferenceWidget(ViewFrame*, BinaryNinja::Ref<BinaryNinja::BinaryView>, bool)"),
	mu_demangle_test("_ZN21QAbstractItemDelegate10commitDataEP7QWidget_ptr", "QAbstractItemDelegate::commitData(QWidget*)"),
	mu_demangle_test("_ZN21QAbstractItemDelegate11closeEditorEP7QWidgetNS_11EndEditHintE_ptr", "QAbstractItemDelegate::closeEditor(QWidget*, QAbstractItemDelegate::EndEditHint)"),
	mu_demangle_test("_ZN21QNetworkAccessManager17sendCustomRequestERK15QNetworkRequestRK10QByteArrayP9QIODevice_ptr", "QNetworkAccessManager::sendCustomRequest(QNetworkRequest const&, QByteArray const&, QIODevice*)"),
	mu_demangle_test("_ZN21QNetworkAccessManager17setRedirectPolicyEN15QNetworkRequest14RedirectPolicyE_ptr", "QNetworkAccessManager::setRedirectPolicy(QNetworkRequest::RedirectPolicy)"),
	mu_demangle_test("_ZN21QNetworkAccessManager3getERK15QNetworkRequest_ptr", "QNetworkAccessManager::get(QNetworkRequest const&)"),
	mu_demangle_test("_ZN21QNetworkAccessManagerC1EP7QObject_ptr", "QNetworkAccessManager::QNetworkAccessManager(QObject*)"),
	mu_demangle_test("_ZN21QNetworkAccessManagerD1Ev_ptr", "QNetworkAccessManager::~QNetworkAccessManager()"),
	mu_demangle_test("_ZN21QPersistentModelIndexC1ERKS__ptr", "QPersistentModelIndex::QPersistentModelIndex(QPersistentModelIndex const&)"),
	mu_demangle_test("_ZN21QPersistentModelIndexD1Ev_ptr", "QPersistentModelIndex::~QPersistentModelIndex()"),
	mu_demangle_test("_ZN21QSortFilterProxyModel10invalidateEv_ptr", "QSortFilterProxyModel::invalidate()"),
	mu_demangle_test("_ZN21QSortFilterProxyModel11qt_metacallEN11QMetaObject4CallEiPPv_ptr", "QSortFilterProxyModel::qt_metacall(QMetaObject::Call, int, void**)"),
	mu_demangle_test("_ZN21QSortFilterProxyModel11qt_metacastEPKc_ptr", "QSortFilterProxyModel::qt_metacast(char const*)"),
	mu_demangle_test("_ZN21QSortFilterProxyModel13setFilterRoleEi_ptr", "QSortFilterProxyModel::setFilterRole(int)"),
	mu_demangle_test("_ZN21QSortFilterProxyModel14setSourceModelEP18QAbstractItemModel_ptr", "QSortFilterProxyModel::setSourceModel(QAbstractItemModel*)"),
	mu_demangle_test("_ZN21QSortFilterProxyModel15setFilterRegExpERK7QRegExp_ptr", "QSortFilterProxyModel::setFilterRegExp(QRegExp const&)"),
	mu_demangle_test("_ZN21QSortFilterProxyModel16invalidateFilterEv_ptr", "QSortFilterProxyModel::invalidateFilter()"),
	mu_demangle_test("_ZN21QSortFilterProxyModel20setDynamicSortFilterEb_ptr", "QSortFilterProxyModel::setDynamicSortFilter(bool)"),
	mu_demangle_test("_ZN21QSortFilterProxyModel26setFilterRegularExpressionERK18QRegularExpression_ptr", "QSortFilterProxyModel::setFilterRegularExpression(QRegularExpression const&)"),
	mu_demangle_test("_ZN21QSortFilterProxyModel28setRecursiveFilteringEnabledEb_ptr", "QSortFilterProxyModel::setRecursiveFilteringEnabled(bool)"),
	mu_demangle_test("_ZN21QSortFilterProxyModelC2EP7QObject_ptr", "QSortFilterProxyModel::QSortFilterProxyModel(QObject*)"),
	mu_demangle_test("_ZN21QSortFilterProxyModelD2Ev_ptr", "QSortFilterProxyModel::~QSortFilterProxyModel()"),
	mu_demangle_test("_ZN22QGraphicsOpacityEffectC1EP7QObject_ptr", "QGraphicsOpacityEffect::QGraphicsOpacityEffect(QObject*)"),
	mu_demangle_test("_ZN22ReportCollectionWidgetC1EP7QWidgetN11BinaryNinja3RefINS2_16ReportCollectionEEERKNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEE_ptr", "ReportCollectionWidget::ReportCollectionWidget(QWidget*, BinaryNinja::Ref<BinaryNinja::ReportCollection>, std::string const&)"),
	mu_demangle_test("_ZN23QRegularExpressionMatchC1Ev_ptr", "QRegularExpressionMatch::QRegularExpressionMatch()"),
	mu_demangle_test("_ZN23QRegularExpressionMatchD1Ev_ptr", "QRegularExpressionMatch::~QRegularExpressionMatch()"),
	mu_demangle_test("_ZN26QWebEngineScriptCollection6insertERK16QWebEngineScript_ptr", "QWebEngineScriptCollection::insert(QWebEngineScript const&)"),
	mu_demangle_test("_ZN4Menu11setOrderingERK7QStringS2_h_ptr", "Menu::setOrdering(QString const&, QString const&, unsigned char)"),
	mu_demangle_test("_ZN4Menu12removeActionERK7QString_ptr", "Menu::removeAction(QString const&)"),
	mu_demangle_test("_ZN4Menu13setVisibilityERK7QString18MenuItemVisibility_ptr", "Menu::setVisibility(QString const&, MenuItemVisibility)"),
	mu_demangle_test("_ZN4Menu16addCopyAsActionsERK7QStringh_ptr", "Menu::addCopyAsActions(QString const&, unsigned char)"),
	mu_demangle_test("_ZN4Menu16setGroupOrderingERK7QStringh_ptr", "Menu::setGroupOrdering(QString const&, unsigned char)"),
	mu_demangle_test("_ZN4Menu16setMainMenuOrderERK7QStringh_ptr", "Menu::setMainMenuOrder(QString const&, unsigned char)"),
	mu_demangle_test("_ZN4Menu19addPasteFromActionsERK7QStringh_ptr", "Menu::addPasteFromActions(QString const&, unsigned char)"),
	mu_demangle_test("_ZN4Menu19addTransformActionsERK7QStringh_ptr", "Menu::addTransformActions(QString const&, unsigned char)"),
	mu_demangle_test("_ZN4Menu30addPluginCommandSubmenuActionsERK7QStringS2__ptr", "Menu::addPluginCommandSubmenuActions(QString const&, QString const&)"),
	mu_demangle_test("_ZN4Menu7setRoleERK7QStringN7QAction8MenuRoleE_ptr", "Menu::setRole(QString const&, QAction::MenuRole)"),
	mu_demangle_test("_ZN4Menu8mainMenuERK7QString_ptr", "Menu::mainMenu(QString const&)"),
	mu_demangle_test("_ZN4Menu9addActionERK7QStringS2_h_ptr", "Menu::addAction(QString const&, QString const&, unsigned char)"),
	mu_demangle_test("_ZN4Menu9addActionERK7QStringS2_S2_h_ptr", "Menu::addAction(QString const&, QString const&, QString const&, unsigned char)"),
	mu_demangle_test("_ZN4MenuC1Ev_ptr", "Menu::Menu()"),
	mu_demangle_test("_ZN4QDirC1ERK7QString_ptr", "QDir::QDir(QString const&)"),
	mu_demangle_test("_ZN4QDirD1Ev_ptr", "QDir::~QDir()"),
	mu_demangle_test("_ZN4QPenC1ERK6QBrushdN2Qt8PenStyleENS3_11PenCapStyleENS3_12PenJoinStyleE_ptr", "QPen::QPen(QBrush const&, double, Qt::PenStyle, Qt::PenCapStyle, Qt::PenJoinStyle)"),
	mu_demangle_test("_ZN4QPenC1ERK6QColor_ptr", "QPen::QPen(QColor const&)"),
	mu_demangle_test("_ZN4QPenD1Ev_ptr", "QPen::~QPen()"),
	mu_demangle_test("_ZN4QUrl13fromLocalFileERK7QString_ptr", "QUrl::fromLocalFile(QString const&)"),
	mu_demangle_test("_ZN4QUrl8setQueryERK7QStringNS_11ParsingModeE_ptr", "QUrl::setQuery(QString const&, QUrl::ParsingMode)"),
	mu_demangle_test("_ZN4QUrlC1ERK7QStringNS_11ParsingModeE_ptr", "QUrl::QUrl(QString const&, QUrl::ParsingMode)"),
	mu_demangle_test("_ZN4QUrlC1ERKS__ptr", "QUrl::QUrl(QUrl const&)"),
	mu_demangle_test("_ZN4QUrlD1Ev_ptr", "QUrl::~QUrl()"),
	mu_demangle_test("_ZN4View17getViewFromWidgetEP7QWidget_ptr", "View::getViewFromWidget(QWidget*)"),
	mu_demangle_test("_ZN4View22getDisassemblySettingsEv_ptr", "View::getDisassemblySettings()"),
	mu_demangle_test("_ZN5QFile4copyERK7QString_ptr", "QFile::copy(QString const&)"),
	mu_demangle_test("_ZN5QFile4openE6QFlagsIN9QIODevice12OpenModeFlagEE_ptr", "QFile::open(QFlags<QIODevice::OpenModeFlag>)"),
	mu_demangle_test("_ZN5QFile6existsERK7QString_ptr", "QFile::exists(QString const&)"),
	mu_demangle_test("_ZN5QFile6removeERK7QString_ptr", "QFile::remove(QString const&)"),
	mu_demangle_test("_ZN5QFileC1ERK7QString_ptr", "QFile::QFile(QString const&)"),
	mu_demangle_test("_ZN5QFileD1Ev_ptr", "QFile::~QFile()"),
	mu_demangle_test("_ZN5QFont12setPointSizeEi_ptr", "QFont::setPointSize(int)"),
	mu_demangle_test("_ZN5QFont12setStyleNameERK7QString_ptr", "QFont::setStyleName(QString const&)"),
	mu_demangle_test("_ZN5QFont9setWeightEi_ptr", "QFont::setWeight(int)"),
	mu_demangle_test("_ZN5QFontC1ERK7QStringiib_ptr", "QFont::QFont(QString const&, int, int, bool)"),
	mu_demangle_test("_ZN5QFontC1ERKS__ptr", "QFont::QFont(QFont const&)"),
	mu_demangle_test("_ZN5QFontC1Ev_ptr", "QFont::QFont()"),
	mu_demangle_test("_ZN5QFontD1Ev_ptr", "QFont::~QFont()"),
	mu_demangle_test("_ZN5QIconC1ERK7QString_ptr", "QIcon::QIcon(QString const&)"),
	mu_demangle_test("_ZN5QIconC1Ev_ptr", "QIcon::QIcon()"),
	mu_demangle_test("_ZN5QIconD1Ev_ptr", "QIcon::~QIcon()"),
	mu_demangle_test("_ZN5QListIP13QOpenGLShaderED2Ev_47_0", "QList<QOpenGLShader*>::~QList()"),
	mu_demangle_test("_ZN5QMenu12addSeparatorEv_ptr", "QMenu::addSeparator()"),
	mu_demangle_test("_ZN5QMenu4execERK6QPointP7QAction_ptr", "QMenu::exec(QPoint const&, QAction*)"),
	mu_demangle_test("_ZN5QMenu5popupERK6QPointP7QAction_ptr", "QMenu::popup(QPoint const&, QAction*)"),
	mu_demangle_test("_ZN5QMenuC1EP7QWidget_ptr", "QMenu::QMenu(QWidget*)"),
	mu_demangle_test("_ZN6QBrushC1ERK6QColorN2Qt10BrushStyleE_ptr", "QBrush::QBrush(QColor const&, Qt::BrushStyle)"),
	mu_demangle_test("_ZN6QBrushD1Ev_ptr", "QBrush::~QBrush()"),
	mu_demangle_test("_ZN6QColor13setNamedColorERK7QString_ptr", "QColor::setNamedColor(QString const&)"),
	mu_demangle_test("_ZN6QColor6setRgbEiiii_ptr", "QColor::setRgb(int, int, int, int)"),
	mu_demangle_test("_ZN6QColor8setAlphaEi_ptr", "QColor::setAlpha(int)"),
	mu_demangle_test("_ZN6QColoraSERKS__ptr", "QColor::operator=(QColor const&)"),
	mu_demangle_test("_ZN6QEvent17registerEventTypeEi_ptr", "QEvent::registerEventType(int)"),
	mu_demangle_test("_ZN6QEventC1ENS_4TypeE_ptr", "QEvent::QEvent(QEvent::Type)"),
	mu_demangle_test("_ZN6QEventC2ENS_4TypeE_ptr", "QEvent::QEvent(QEvent::Type)"),
	mu_demangle_test("_ZN6QEventD2Ev_ptr", "QEvent::~QEvent()"),
	mu_demangle_test("_ZN6QFrame11qt_metacallEN11QMetaObject4CallEiPPv_ptr", "QFrame::qt_metacall(QMetaObject::Call, int, void**)"),
	mu_demangle_test("_ZN6QFrame11qt_metacastEPKc_ptr", "QFrame::qt_metacast(char const*)"),
	mu_demangle_test("_ZN6QFrame13setFrameShapeENS_5ShapeE_ptr", "QFrame::setFrameShape(QFrame::Shape)"),
	mu_demangle_test("_ZN6QFrame13setFrameStyleEi_ptr", "QFrame::setFrameStyle(int)"),
	mu_demangle_test("_ZN6QFrame14setFrameShadowENS_6ShadowE_ptr", "QFrame::setFrameShadow(QFrame::Shadow)"),
	mu_demangle_test("_ZN6QFrameC1EP7QWidget6QFlagsIN2Qt10WindowTypeEE_ptr", "QFrame::QFrame(QWidget*, QFlags<Qt::WindowType>)"),
	mu_demangle_test("_ZN6QFrameC2EP7QWidget6QFlagsIN2Qt10WindowTypeEE_ptr", "QFrame::QFrame(QWidget*, QFlags<Qt::WindowType>)"),
	mu_demangle_test("_ZN6QFrameD2Ev_ptr", "QFrame::~QFrame()"),
	mu_demangle_test("_ZN6QLabel10setPictureERK8QPicture_ptr", "QLabel::setPicture(QPicture const&)"),
	mu_demangle_test("_ZN6QLabel11qt_metacallEN11QMetaObject4CallEiPPv_ptr", "QLabel::qt_metacall(QMetaObject::Call, int, void**)"),
	mu_demangle_test("_ZN6QLabel11qt_metacastEPKc_ptr", "QLabel::qt_metacast(char const*)"),
	mu_demangle_test("_ZN6QLabel11setWordWrapEb_ptr", "QLabel::setWordWrap(bool)"),
	mu_demangle_test("_ZN6QLabel12setAlignmentE6QFlagsIN2Qt13AlignmentFlagEE_ptr", "QLabel::setAlignment(QFlags<Qt::AlignmentFlag>)"),
	mu_demangle_test("_ZN6QLabel13linkActivatedERK7QString_ptr", "QLabel::linkActivated(QString const&)"),
	mu_demangle_test("_ZN6QLabel13setTextFormatEN2Qt10TextFormatE_ptr", "QLabel::setTextFormat(Qt::TextFormat)"),
	mu_demangle_test("_ZN6QLabel16staticMetaObjectE_ptr", "QLabel::staticMetaObject"),
	mu_demangle_test("_ZN6QLabel20setOpenExternalLinksEb_ptr", "QLabel::setOpenExternalLinks(bool)"),
	mu_demangle_test("_ZN6QLabel23setTextInteractionFlagsE6QFlagsIN2Qt19TextInteractionFlagEE_ptr", "QLabel::setTextInteractionFlags(QFlags<Qt::TextInteractionFlag>)"),
	mu_demangle_test("_ZN6QLabel7setTextERK7QString_ptr", "QLabel::setText(QString const&)"),
	mu_demangle_test("_ZN6QLabel9setPixmapERK7QPixmap_ptr", "QLabel::setPixmap(QPixmap const&)"),
	mu_demangle_test("_ZN6QLabelC1EP7QWidget6QFlagsIN2Qt10WindowTypeEE_ptr", "QLabel::QLabel(QWidget*, QFlags<Qt::WindowType>)"),
	mu_demangle_test("_ZN6QLabelC1ERK7QStringP7QWidget6QFlagsIN2Qt10WindowTypeEE_ptr", "QLabel::QLabel(QString const&, QWidget*, QFlags<Qt::WindowType>)"),
	mu_demangle_test("_ZN6QLabelC2EP7QWidget6QFlagsIN2Qt10WindowTypeEE_ptr", "QLabel::QLabel(QWidget*, QFlags<Qt::WindowType>)"),
	mu_demangle_test("_ZN6QLabelC2ERK7QStringP7QWidget6QFlagsIN2Qt10WindowTypeEE_ptr", "QLabel::QLabel(QString const&, QWidget*, QFlags<Qt::WindowType>)"),
	mu_demangle_test("_ZN6QLabelD2Ev_ptr", "QLabel::~QLabel()"),
	mu_demangle_test("_ZN6QStyle11alignedRectEN2Qt15LayoutDirectionE6QFlagsINS0_13AlignmentFlagEERK5QSizeRK5QRect_ptr", "QStyle::alignedRect(Qt::LayoutDirection, QFlags<Qt::AlignmentFlag>, QSize const&, QRect const&)"),
	mu_demangle_test("_ZN6QTimer10singleShotEiPK7QObjectPKc_ptr", "QTimer::singleShot(int, QObject const*, char const*)"),
	mu_demangle_test("_ZN6QTimer11setIntervalEi_ptr", "QTimer::setInterval(int)"),
	mu_demangle_test("_ZN6QTimer14singleShotImplEiN2Qt9TimerTypeEPK7QObjectPN9QtPrivate15QSlotObjectBaseE_ptr", "QTimer::singleShotImpl(int, Qt::TimerType, QObject const*, QtPrivate::QSlotObjectBase*)"),
	mu_demangle_test("_ZN6QTimer16staticMetaObjectE_ptr", "QTimer::staticMetaObject"),
	mu_demangle_test("_ZN6QTimer4stopEv_ptr", "QTimer::stop()"),
	mu_demangle_test("_ZN6QTimer5startEi_ptr", "QTimer::start(int)"),
	mu_demangle_test("_ZN6QTimer5startEv_ptr", "QTimer::start()"),
	mu_demangle_test("_ZN6QTimer7timeoutENS_14QPrivateSignalE_ptr", "QTimer::timeout(QTimer::QPrivateSignal)"),
	mu_demangle_test("_ZN6QTimerC1EP7QObject_ptr", "QTimer::QTimer(QObject*)"),
	mu_demangle_test("_ZN7LogView10SetLogSizeEm_ptr", "LogView::SetLogSize(unsigned long)"),
	mu_demangle_test("_ZN7LogView11SetLogLevelE10BNLogLevel_ptr", "LogView::SetLogLevel(BNLogLevel)"),
	mu_demangle_test("_ZN7LogViewC1EP7QWidgetP9LogStatus_ptr", "LogView::LogView(QWidget*, LogStatus*)"),
	mu_demangle_test("_ZN7QAction10setCheckedEb_ptr", "QAction::setChecked(bool)"),
	mu_demangle_test("_ZN7QAction10setEnabledEb_ptr", "QAction::setEnabled(bool)"),
	mu_demangle_test("_ZN7QAction12setCheckableEb_ptr", "QAction::setCheckable(bool)"),
	mu_demangle_test("_ZN7QAction16staticMetaObjectE_ptr", "QAction::staticMetaObject"),
	mu_demangle_test("_ZN7QAction7setDataERK8QVariant_ptr", "QAction::setData(QVariant const&)"),
	mu_demangle_test("_ZN7QAction9triggeredEb_ptr", "QAction::triggered(bool)"),
	mu_demangle_test("_ZN7QActionC1ERK7QStringP7QObject_ptr", "QAction::QAction(QString const&, QObject*)"),
	mu_demangle_test("_ZN7QCursor3posEv_ptr", "QCursor::pos()"),
	mu_demangle_test("_ZN7QDialog11qt_metacallEN11QMetaObject4CallEiPPv_ptr", "QDialog::qt_metacall(QMetaObject::Call, int, void**)"),
	mu_demangle_test("_ZN7QDialog11qt_metacastEPKc_ptr", "QDialog::qt_metacast(char const*)"),
	mu_demangle_test("_ZN7QDialog16staticMetaObjectE_ptr", "QDialog::staticMetaObject"),
	mu_demangle_test("_ZN7QDialog4doneEi_ptr", "QDialog::done(int)"),
	mu_demangle_test("_ZN7QDialog4execEv_ptr", "QDialog::exec()"),
	mu_demangle_test("_ZN7QDialog6acceptEv_ptr", "QDialog::accept()"),
	mu_demangle_test("_ZN7QDialog8setModalEb_ptr", "QDialog::setModal(bool)"),
	mu_demangle_test("_ZN7QDialogC2EP7QWidget6QFlagsIN2Qt10WindowTypeEE_ptr", "QDialog::QDialog(QWidget*, QFlags<Qt::WindowType>)"),
	mu_demangle_test("_ZN7QDialogD2Ev_ptr", "QDialog::~QDialog()"),
	mu_demangle_test("_ZN7QLayout17setSizeConstraintENS_14SizeConstraintE_ptr", "QLayout::setSizeConstraint(QLayout::SizeConstraint)"),
	mu_demangle_test("_ZN7QLayout18setContentsMarginsEiiii_ptr", "QLayout::setContentsMargins(int, int, int, int)"),
	mu_demangle_test("_ZN7QLayout18setContentsMarginsERK8QMargins_ptr", "QLayout::setContentsMargins(QMargins const&)"),
	mu_demangle_test("_ZN7QLayout9addWidgetEP7QWidget_ptr", "QLayout::addWidget(QWidget*)"),
	mu_demangle_test("_ZN7QLocale6systemEv_ptr", "QLocale::system()"),
	mu_demangle_test("_ZN7QLocaleC1Ev_ptr", "QLocale::QLocale()"),
	mu_demangle_test("_ZN7QLocaleD1Ev_ptr", "QLocale::~QLocale()"),
	mu_demangle_test("_ZN7QObject11connectImplEPKS_PPvS1_S3_PN9QtPrivate15QSlotObjectBaseEN2Qt14ConnectionTypeEPKiPK11QMetaObject_ptr", "QObject::connectImpl(QObject const*, void**, QObject const*, void**, QtPrivate::QSlotObjectBase*, Qt::ConnectionType, int const*, QMetaObject const*)"),
	mu_demangle_test("_ZN7QObject11deleteLaterEv_ptr", "QObject::deleteLater()"),
	mu_demangle_test("_ZN7QObject11eventFilterEPS_P6QEvent_ptr", "QObject::eventFilter(QObject*, QEvent*)"),
	mu_demangle_test("_ZN7QObject11qt_metacallEN11QMetaObject4CallEiPPv_ptr", "QObject::qt_metacall(QMetaObject::Call, int, void**)"),
	mu_demangle_test("_ZN7QObject11qt_metacastEPKc_ptr", "QObject::qt_metacast(char const*)"),
	mu_demangle_test("_ZN7QObject12blockSignalsEb_ptr", "QObject::blockSignals(bool)"),
	mu_demangle_test("_ZN7QObject18installEventFilterEPS__ptr", "QObject::installEventFilter(QObject*)"),
	mu_demangle_test("_ZN7QObject7connectEPKS_PKcS1_S3_N2Qt14ConnectionTypeE_ptr", "QObject::connect(QObject const*, char const*, QObject const*, char const*, Qt::ConnectionType)"),
	mu_demangle_test("_ZN7QObjectC2EPS__ptr", "QObject::QObject(QObject*)"),
	mu_demangle_test("_ZN7QObjectD2Ev_ptr", "QObject::~QObject()"),
	mu_demangle_test("_ZN7QPixmap4fillERK6QColor_ptr", "QPixmap::fill(QColor const&)"),
	mu_demangle_test("_ZN7QPixmapC1Eii_ptr", "QPixmap::QPixmap(int, int)"),
	mu_demangle_test("_ZN7QPixmapC1ERK7QStringPKc6QFlagsIN2Qt19ImageConversionFlagEE_ptr", "QPixmap::QPixmap(QString const&, char const*, QFlags<Qt::ImageConversionFlag>)"),
	mu_demangle_test("_ZN7QPixmapD1Ev_ptr", "QPixmap::~QPixmap()"),
	mu_demangle_test("_ZN7QRegExpC1ERK7QStringN2Qt15CaseSensitivityENS_13PatternSyntaxE_ptr", "QRegExp::QRegExp(QString const&, Qt::CaseSensitivity, QRegExp::PatternSyntax)"),
	mu_demangle_test("_ZN7QRegExpD1Ev_ptr", "QRegExp::~QRegExp()"),
	mu_demangle_test("_ZN7QString11reallocDataEjb_ptr", "QString::reallocData(unsigned int, bool)"),
	mu_demangle_test("_ZN7QString13toUtf8_helperERKS__ptr", "QString::toUtf8_helper(QString const&)"),
	mu_demangle_test("_ZN7QString14compare_helperEPK5QChariPKciN2Qt15CaseSensitivityE_ptr", "QString::compare_helper(QChar const*, int, char const*, int, Qt::CaseSensitivity)"),
	mu_demangle_test("_ZN7QString14trimmed_helperERKS__ptr", "QString::trimmed_helper(QString const&)"),
	mu_demangle_test("_ZN7QString14trimmed_helperERS__ptr", "QString::trimmed_helper(QString&)"),
	mu_demangle_test("_ZN7QString15fromUtf8_helperEPKci_ptr", "QString::fromUtf8_helper(char const*, int)"),
	mu_demangle_test("_ZN7QString16fromAscii_helperEPKci_ptr", "QString::fromAscii_helper(char const*, int)"),
	mu_demangle_test("_ZN7QString17fromLatin1_helperEPKci_ptr", "QString::fromLatin1_helper(char const*, int)"),
	mu_demangle_test("_ZN7QString17simplified_helperERKS__ptr", "QString::simplified_helper(QString const&)"),
	mu_demangle_test("_ZN7QString20fromLocal8Bit_helperEPKci_ptr", "QString::fromLocal8Bit_helper(char const*, int)"),
	mu_demangle_test("_ZN7QString4chopEi_ptr", "QString::chop(int)"),
	mu_demangle_test("_ZN7QString6appendERKS__ptr", "QString::append(QString const&)"),
	mu_demangle_test("_ZN7QString6numberEii_ptr", "QString::number(int, int)"),
	mu_demangle_test("_ZN7QString6numberEmi_ptr", "QString::number(unsigned long, int)"),
	mu_demangle_test("_ZN7QString7replaceERK18QRegularExpressionRKS__ptr", "QString::replace(QRegularExpression const&, QString const&)"),
	mu_demangle_test("_ZN7QString7replaceERKS_S1_N2Qt15CaseSensitivityE_ptr", "QString::replace(QString const&, QString const&, Qt::CaseSensitivity)"),
	mu_demangle_test("_ZN7QStringaSERKS__ptr", "QString::operator=(QString const&)"),
	mu_demangle_test("_ZN7QTabBar11qt_metacallEN11QMetaObject4CallEiPPv_ptr", "QTabBar::qt_metacall(QMetaObject::Call, int, void**)"),
	mu_demangle_test("_ZN7QTabBar11qt_metacastEPKc_ptr", "QTabBar::qt_metacast(char const*)"),
	mu_demangle_test("_ZN7QTabBar13setTabToolTipEiRK7QString_ptr", "QTabBar::setTabToolTip(int, QString const&)"),
	mu_demangle_test("_ZN7QTabBar17mouseReleaseEventEP11QMouseEvent_ptr", "QTabBar::mouseReleaseEvent(QMouseEvent*)"),
	mu_demangle_test("_ZN7QTabBar17tabCloseRequestedEi_ptr", "QTabBar::tabCloseRequested(int)"),
	mu_demangle_test("_ZN7QTabBarC2EP7QWidget_ptr", "QTabBar::QTabBar(QWidget*)"),
	mu_demangle_test("_ZN7QTabBarD2Ev_ptr", "QTabBar::~QTabBar()"),
	mu_demangle_test("_ZN7QThread11qt_metacallEN11QMetaObject4CallEiPPv_ptr", "QThread::qt_metacall(QMetaObject::Call, int, void**)"),
	mu_demangle_test("_ZN7QThread11qt_metacastEPKc_ptr", "QThread::qt_metacast(char const*)"),
	mu_demangle_test("_ZN7QThread13currentThreadEv_ptr", "QThread::currentThread()"),
	mu_demangle_test("_ZN7QThread19requestInterruptionEv_ptr", "QThread::requestInterruption()"),
	mu_demangle_test("_ZN7QThread4waitE14QDeadlineTimer_ptr", "QThread::wait(QDeadlineTimer)"),
	mu_demangle_test("_ZN7QThread5startENS_8PriorityE_ptr", "QThread::start(QThread::Priority)"),
	mu_demangle_test("_ZN7QThread6msleepEm_ptr", "QThread::msleep(unsigned long)"),
	mu_demangle_test("_ZN7QThreadC2EP7QObject_ptr", "QThread::QThread(QObject*)"),
	mu_demangle_test("_ZN7QThreadD2Ev_ptr", "QThread::~QThread()"),
	mu_demangle_test("_ZN7QWidget10clearFocusEv_ptr", "QWidget::clearFocus()"),
	mu_demangle_test("_ZN7QWidget10enterEventEP6QEvent_ptr", "QWidget::enterEvent(QEvent*)"),
	mu_demangle_test("_ZN7QWidget10leaveEventEP6QEvent_ptr", "QWidget::leaveEvent(QEvent*)"),
	mu_demangle_test("_ZN7QWidget10setEnabledEb_ptr", "QWidget::setEnabled(bool)"),
	mu_demangle_test("_ZN7QWidget10setPaletteERK8QPalette_ptr", "QWidget::setPalette(QPalette const&)"),
	mu_demangle_test("_ZN7QWidget10setToolTipERK7QString_ptr", "QWidget::setToolTip(QString const&)"),
	mu_demangle_test("_ZN7QWidget11qt_metacallEN11QMetaObject4CallEiPPv_ptr", "QWidget::qt_metacall(QMetaObject::Call, int, void**)"),
	mu_demangle_test("_ZN7QWidget11qt_metacastEPKc_ptr", "QWidget::qt_metacast(char const*)"),
	mu_demangle_test("_ZN7QWidget11resizeEventEP12QResizeEvent_ptr", "QWidget::resizeEvent(QResizeEvent*)"),
	mu_demangle_test("_ZN7QWidget11setDisabledEb_ptr", "QWidget::setDisabled(bool)"),
	mu_demangle_test("_ZN7QWidget11setGeometryERK5QRect_ptr", "QWidget::setGeometry(QRect const&)"),
	mu_demangle_test("_ZN7QWidget12setAttributeEN2Qt15WidgetAttributeEb_ptr", "QWidget::setAttribute(Qt::WidgetAttribute, bool)"),
	mu_demangle_test("_ZN7QWidget12setFixedSizeEii_ptr", "QWidget::setFixedSize(int, int)"),
	mu_demangle_test("_ZN7QWidget13keyPressEventEP9QKeyEvent_ptr", "QWidget::keyPressEvent(QKeyEvent*)"),
	mu_demangle_test("_ZN7QWidget13setFixedWidthEi_ptr", "QWidget::setFixedWidth(int)"),
	mu_demangle_test("_ZN7QWidget13setSizePolicyE11QSizePolicy_ptr", "QWidget::setSizePolicy(QSizePolicy)"),
	mu_demangle_test("_ZN7QWidget13setStyleSheetERK7QString_ptr", "QWidget::setStyleSheet(QString const&)"),
	mu_demangle_test("_ZN7QWidget13setWindowIconERK5QIcon_ptr", "QWidget::setWindowIcon(QIcon const&)"),
	mu_demangle_test("_ZN7QWidget14activateWindowEv_ptr", "QWidget::activateWindow()"),
	mu_demangle_test("_ZN7QWidget14setAcceptDropsEb_ptr", "QWidget::setAcceptDrops(bool)"),
	mu_demangle_test("_ZN7QWidget14setFocusPolicyEN2Qt11FocusPolicyE_ptr", "QWidget::setFocusPolicy(Qt::FocusPolicy)"),
	mu_demangle_test("_ZN7QWidget14setMaximumSizeEii_ptr", "QWidget::setMaximumSize(int, int)"),
	mu_demangle_test("_ZN7QWidget14setMinimumSizeEii_ptr", "QWidget::setMinimumSize(int, int)"),
	mu_demangle_test("_ZN7QWidget14setWindowFlagsE6QFlagsIN2Qt10WindowTypeEE_ptr", "QWidget::setWindowFlags(QFlags<Qt::WindowType>)"),
	mu_demangle_test("_ZN7QWidget14setWindowTitleERK7QString_ptr", "QWidget::setWindowTitle(QString const&)"),
	mu_demangle_test("_ZN7QWidget14updateGeometryEv_ptr", "QWidget::updateGeometry()"),
	mu_demangle_test("_ZN7QWidget15restoreGeometryERK10QByteArray_ptr", "QWidget::restoreGeometry(QByteArray const&)"),
	mu_demangle_test("_ZN7QWidget15setMinimumWidthEi_ptr", "QWidget::setMinimumWidth(int)"),
	mu_demangle_test("_ZN7QWidget16setMaximumHeightEi_ptr", "QWidget::setMaximumHeight(int)"),
	mu_demangle_test("_ZN7QWidget16staticMetaObjectE_ptr", "QWidget::staticMetaObject"),
	mu_demangle_test("_ZN7QWidget17setForegroundRoleEN8QPalette9ColorRoleE_ptr", "QWidget::setForegroundRole(QPalette::ColorRole)"),
	mu_demangle_test("_ZN7QWidget17setGraphicsEffectEP15QGraphicsEffect_ptr", "QWidget::setGraphicsEffect(QGraphicsEffect*)"),
	mu_demangle_test("_ZN7QWidget17setWindowFilePathERK7QString_ptr", "QWidget::setWindowFilePath(QString const&)"),
	mu_demangle_test("_ZN7QWidget17setWindowModalityEN2Qt14WindowModalityE_ptr", "QWidget::setWindowModality(Qt::WindowModality)"),
	mu_demangle_test("_ZN7QWidget18setContentsMarginsEiiii_ptr", "QWidget::setContentsMargins(int, int, int, int)"),
	mu_demangle_test("_ZN7QWidget20setContextMenuPolicyEN2Qt17ContextMenuPolicyE_ptr", "QWidget::setContextMenuPolicy(Qt::ContextMenuPolicy)"),
	mu_demangle_test("_ZN7QWidget21setAutoFillBackgroundEb_ptr", "QWidget::setAutoFillBackground(bool)"),
	mu_demangle_test("_ZN7QWidget4hideEv_ptr", "QWidget::hide()"),
	mu_demangle_test("_ZN7QWidget4moveERK6QPoint_ptr", "QWidget::move(QPoint const&)"),
	mu_demangle_test("_ZN7QWidget4showEv_ptr", "QWidget::show()"),
	mu_demangle_test("_ZN7QWidget5closeEv_ptr", "QWidget::close()"),
	mu_demangle_test("_ZN7QWidget5eventEP6QEvent_ptr", "QWidget::event(QEvent*)"),
	mu_demangle_test("_ZN7QWidget5raiseEv_ptr", "QWidget::raise()"),
	mu_demangle_test("_ZN7QWidget6resizeERK5QSize_ptr", "QWidget::resize(QSize const&)"),
	mu_demangle_test("_ZN7QWidget6updateEv_ptr", "QWidget::update()"),
	mu_demangle_test("_ZN7QWidget7setFontERK5QFont_ptr", "QWidget::setFont(QFont const&)"),
	mu_demangle_test("_ZN7QWidget8setFocusEN2Qt11FocusReasonE_ptr", "QWidget::setFocus(Qt::FocusReason)"),
	mu_demangle_test("_ZN7QWidget9addActionEP7QAction_ptr", "QWidget::addAction(QAction*)"),
	mu_demangle_test("_ZN7QWidget9hideEventEP10QHideEvent_ptr", "QWidget::hideEvent(QHideEvent*)"),
	mu_demangle_test("_ZN7QWidget9setLayoutEP7QLayout_ptr", "QWidget::setLayout(QLayout*)"),
	mu_demangle_test("_ZN7QWidget9setParentEPS__ptr", "QWidget::setParent(QWidget*)"),
	mu_demangle_test("_ZN7QWidgetC1EPS_6QFlagsIN2Qt10WindowTypeEE_ptr", "QWidget::QWidget(QWidget*, QFlags<Qt::WindowType>)"),
	mu_demangle_test("_ZN7QWidgetC2EPS_6QFlagsIN2Qt10WindowTypeEE_ptr", "QWidget::QWidget(QWidget*, QFlags<Qt::WindowType>)"),
	mu_demangle_test("_ZN7QWidgetD2Ev_ptr", "QWidget::~QWidget()"),
	mu_demangle_test("_ZN8QPainter10drawPixmapERK6QRectFRK7QPixmapS2__ptr", "QPainter::drawPixmap(QRectF const&, QPixmap const&, QRectF const&)"),
	mu_demangle_test("_ZN8QPainter13setRenderHintENS_10RenderHintEb_ptr", "QPainter::setRenderHint(QPainter::RenderHint, bool)"),
	mu_demangle_test("_ZN8QPainter3endEv_ptr", "QPainter::end()"),
	mu_demangle_test("_ZN8QPainter4saveEv_ptr", "QPainter::save()"),
	mu_demangle_test("_ZN8QPainter5beginEP12QPaintDevice_ptr", "QPainter::begin(QPaintDevice*)"),
	mu_demangle_test("_ZN8QPainter6setPenEN2Qt8PenStyleE_ptr", "QPainter::setPen(Qt::PenStyle)"),
	mu_demangle_test("_ZN8QPainter6setPenERK4QPen_ptr", "QPainter::setPen(QPen const&)"),
	mu_demangle_test("_ZN8QPainter6setPenERK6QColor_ptr", "QPainter::setPen(QColor const&)"),
	mu_demangle_test("_ZN8QPainter7restoreEv_ptr", "QPainter::restore()"),
	mu_demangle_test("_ZN8QPainter7setFontERK5QFont_ptr", "QPainter::setFont(QFont const&)"),
	mu_demangle_test("_ZN8QPainter8drawTextERK5QRectiRK7QStringPS0__ptr", "QPainter::drawText(QRect const&, int, QString const&, QRect*)"),
	mu_demangle_test("_ZN8QPainter8drawTextERK7QPointFRK7QString_ptr", "QPainter::drawText(QPointF const&, QString const&)"),
	mu_demangle_test("_ZN8QPainter8fillRectERK5QRectRK6QColor_ptr", "QPainter::fillRect(QRect const&, QColor const&)"),
	mu_demangle_test("_ZN8QPainter8setBrushERK6QBrush_ptr", "QPainter::setBrush(QBrush const&)"),
	mu_demangle_test("_ZN8QPainter9drawLinesEPK5QLinei_ptr", "QPainter::drawLines(QLine const*, int)"),
	mu_demangle_test("_ZN8QPainter9drawRectsEPK5QRecti_ptr", "QPainter::drawRects(QRect const*, int)"),
	mu_demangle_test("_ZN8QPainterC1EP12QPaintDevice_ptr", "QPainter::QPainter(QPaintDevice*)"),
	mu_demangle_test("_ZN8QPainterC1Ev_ptr", "QPainter::QPainter()"),
	mu_demangle_test("_ZN8QPainterD1Ev_ptr", "QPainter::~QPainter()"),
	mu_demangle_test("_ZN8QPalette8setBrushENS_10ColorGroupENS_9ColorRoleERK6QBrush_ptr", "QPalette::setBrush(QPalette::ColorGroup, QPalette::ColorRole, QBrush const&)"),
	mu_demangle_test("_ZN8QPaletteC1ERKS__ptr", "QPalette::QPalette(QPalette const&)"),
	mu_demangle_test("_ZN8QPaletteD1Ev_ptr", "QPalette::~QPalette()"),
	mu_demangle_test("_ZN8QPictureC1Ei_ptr", "QPicture::QPicture(int)"),
	mu_demangle_test("_ZN8QPictureD1Ev_ptr", "QPicture::~QPicture()"),
	mu_demangle_test("_ZN8QProcess13startDetachedERK7QStringRK11QStringList_ptr", "QProcess::startDetached(QString const&, QStringList const&)"),
	mu_demangle_test("_ZN8QSpinBox10setMaximumEi_ptr", "QSpinBox::setMaximum(int)"),
	mu_demangle_test("_ZN8QSpinBox10setMinimumEi_ptr", "QSpinBox::setMinimum(int)"),
	mu_demangle_test("_ZN8QSpinBox8setValueEi_ptr", "QSpinBox::setValue(int)"),
	mu_demangle_test("_ZN8QSpinBoxC1EP7QWidget_ptr", "QSpinBox::QSpinBox(QWidget*)"),
	mu_demangle_test("_ZN8QSysInfo17prettyProductNameEv_ptr", "QSysInfo::prettyProductName()"),
	mu_demangle_test("_ZN8QToolBar10setMovableEb_ptr", "QToolBar::setMovable(bool)"),
	mu_demangle_test("_ZN8QToolBar11qt_metacallEN11QMetaObject4CallEiPPv_ptr", "QToolBar::qt_metacall(QMetaObject::Call, int, void**)"),
	mu_demangle_test("_ZN8QToolBar11qt_metacastEPKc_ptr", "QToolBar::qt_metacast(char const*)"),
	mu_demangle_test("_ZN8QToolBarC2ERK7QStringP7QWidget_ptr", "QToolBar::QToolBar(QString const&, QWidget*)"),
	mu_demangle_test("_ZN8QToolBarD2Ev_ptr", "QToolBar::~QToolBar()"),
	mu_demangle_test("_ZN8QToolTip8showTextERK6QPointRK7QStringP7QWidget_ptr", "QToolTip::showText(QPoint const&, QString const&, QWidget*)"),
	mu_demangle_test("_ZN8QVariantC1Eb_ptr", "QVariant::QVariant(bool)"),
	mu_demangle_test("_ZN8QVariantC1Ei_ptr", "QVariant::QVariant(int)"),
	mu_demangle_test("_ZN8QVariantC1EiPKvj_ptr", "QVariant::QVariant(int, void const*, unsigned int)"),
	mu_demangle_test("_ZN8QVariantC1EPKc_ptr", "QVariant::QVariant(char const*)"),
	mu_demangle_test("_ZN8QVariantC1ERK10QByteArray_ptr", "QVariant::QVariant(QByteArray const&)"),
	mu_demangle_test("_ZN8QVariantC1ERK5QListIS_E_ptr", "QVariant::QVariant(QList<QVariant> const&)"),
	mu_demangle_test("_ZN8QVariantC1ERK7QString_ptr", "QVariant::QVariant(QString const&)"),
	mu_demangle_test("_ZN8QVariantC1ERKS__ptr", "QVariant::QVariant(QVariant const&)"),
	mu_demangle_test("_ZN8QVariantD1Ev_ptr", "QVariant::~QVariant()"),
	mu_demangle_test("_ZN8UIAction13getKeyBindingERK7QString_ptr", "UIAction::getKeyBinding(QString const&)"),
	mu_demangle_test("_ZN8UIAction14registerActionERK7QStringRK12QKeySequence_ptr", "UIAction::registerAction(QString const&, QKeySequence const&)"),
	mu_demangle_test("_ZN8UIAction14registerActionERK7QStringRK5QListI12QKeySequenceE_ptr", "UIAction::registerAction(QString const&, QList<QKeySequence> const&)"),
	mu_demangle_test("_ZN8UIAction16unregisterActionERK7QString_ptr", "UIAction::unregisterAction(QString const&)"),
	mu_demangle_test("_ZN8UIAction17setUserKeyBindingERK7QStringRK5QListI12QKeySequenceE_ptr", "UIAction::setUserKeyBinding(QString const&, QList<QKeySequence> const&)"),
	mu_demangle_test("_ZN8UIAction19readKeyBindingsFileEv_ptr", "UIAction::readKeyBindingsFile()"),
	mu_demangle_test("_ZN8UIAction20getActionDisplayNameERK7QStringRK15UIActionContext_ptr", "UIAction::getActionDisplayName(QString const&, UIActionContext const&)"),
	mu_demangle_test("_ZN8UIAction20getDefaultKeyBindingERK7QString_ptr", "UIAction::getDefaultKeyBinding(QString const&)"),
	mu_demangle_test("_ZN8UIAction20setActionDisplayNameERK7QStringRKSt8functionIFS0_vEE_ptr", "UIAction::setActionDisplayName(QString const&, std::function<QString ()> const&)"),
	mu_demangle_test("_ZN8UIAction20writeKeyBindingsFileEv_ptr", "UIAction::writeKeyBindingsFile()"),
	mu_demangle_test("_ZN8UIAction23getAllRegisteredActionsEv_ptr", "UIAction::getAllRegisteredActions()"),
	mu_demangle_test("_ZN8UIAction24registerTransformActionsEv_ptr", "UIAction::registerTransformActions()"),
	mu_demangle_test("_ZN8UIAction24resetKeyBindingToDefaultERK7QString_ptr", "UIAction::resetKeyBindingToDefault(QString const&)"),
	mu_demangle_test("_ZN8UIAction28registerPluginCommandActionsEv_ptr", "UIAction::registerPluginCommandActions()"),
	mu_demangle_test("_ZN8UIActionC1ERKSt8functionIFvvEE_ptr", "UIAction::UIAction(std::function<void ()> const&)"),
	mu_demangle_test("_ZN8UIActionC1ERKSt8functionIFvvEERKS0_IFbRK15UIActionContextEE_ptr", "UIAction::UIAction(std::function<void ()> const&, std::function<bool (UIActionContext const&)> const&)"),
	mu_demangle_test("_ZN8UIActionC1ERKSt8functionIFvvEERKS0_IFbvEE_ptr", "UIAction::UIAction(std::function<void ()> const&, std::function<bool ()> const&)"),
	mu_demangle_test("_ZN8ViewType8getTypesEv_ptr", "ViewType::getTypes()"),
	mu_demangle_test("_ZN8WebPage211linkClickedERK4QUrl_4_0", "WebPage2::linkClicked(QUrl const&)"),
	mu_demangle_test("_ZN9LogStatus15clearIndicatorsEv_ptr", "LogStatus::clearIndicators()"),
	mu_demangle_test("_ZN9LogStatus19incrementErrorCountEi_ptr", "LogStatus::incrementErrorCount(int)"),
	mu_demangle_test("_ZN9LogStatus21incrementWarningCountEi_ptr", "LogStatus::incrementWarningCount(int)"),
	mu_demangle_test("_ZN9LogStatusC1EP7QWidget_ptr", "LogStatus::LogStatus(QWidget*)"),
	mu_demangle_test("_ZN9MiniGraphC1EP9ViewFrame_ptr", "MiniGraph::MiniGraph(ViewFrame*)"),
	mu_demangle_test("_ZN9QCheckBox13setCheckStateEN2Qt10CheckStateE_ptr", "QCheckBox::setCheckState(Qt::CheckState)"),
	mu_demangle_test("_ZN9QCheckBoxC1EP7QWidget_ptr", "QCheckBox::QCheckBox(QWidget*)"),
	mu_demangle_test("_ZN9QCheckBoxC1ERK7QStringP7QWidget_ptr", "QCheckBox::QCheckBox(QString const&, QWidget*)"),
	mu_demangle_test("_ZN9QComboBox10insertItemEiRK5QIconRK7QStringRK8QVariant_ptr", "QComboBox::insertItem(int, QIcon const&, QString const&, QVariant const&)"),
	mu_demangle_test("_ZN9QComboBox14setCurrentTextERK7QString_ptr", "QComboBox::setCurrentText(QString const&)"),
	mu_demangle_test("_ZN9QComboBox15setCurrentIndexEi_ptr", "QComboBox::setCurrentIndex(int)"),
	mu_demangle_test("_ZN9QComboBox16staticMetaObjectE_ptr", "QComboBox::staticMetaObject"),
	mu_demangle_test("_ZN9QComboBox19setSizeAdjustPolicyENS_16SizeAdjustPolicyE_ptr", "QComboBox::setSizeAdjustPolicy(QComboBox::SizeAdjustPolicy)"),
	mu_demangle_test("_ZN9QComboBox5clearEv_ptr", "QComboBox::clear()"),
	mu_demangle_test("_ZN9QComboBox9activatedEi_ptr", "QComboBox::activated(int)"),
	mu_demangle_test("_ZN9QComboBoxC1EP7QWidget_ptr", "QComboBox::QComboBox(QWidget*)"),
	mu_demangle_test("_ZN9QDateTime11setTimeSpecEN2Qt8TimeSpecE_ptr", "QDateTime::setTimeSpec(Qt::TimeSpec)"),
	mu_demangle_test("_ZN9QDateTime18currentDateTimeUtcEv_ptr", "QDateTime::currentDateTimeUtc()"),
	mu_demangle_test("_ZN9QDateTime18fromSecsSinceEpochExN2Qt8TimeSpecEi_ptr", "QDateTime::fromSecsSinceEpoch(int64_t, Qt::TimeSpec, int)"),
	mu_demangle_test("_ZN9QDateTime9setTime_tEj_ptr", "QDateTime::setTime_t(unsigned int)"),
	mu_demangle_test("_ZN9QDateTimeC1Ev_ptr", "QDateTime::QDateTime()"),
	mu_demangle_test("_ZN9QDateTimeD1Ev_ptr", "QDateTime::~QDateTime()"),
	mu_demangle_test("_ZN9QFileInfoC1ERK7QString_ptr", "QFileInfo::QFileInfo(QString const&)"),
	mu_demangle_test("_ZN9QFileInfoD1Ev_ptr", "QFileInfo::~QFileInfo()"),
	mu_demangle_test("_ZN9QGroupBox12setAlignmentEi_ptr", "QGroupBox::setAlignment(int)"),
	mu_demangle_test("_ZN9QGroupBoxC1EP7QWidget_ptr", "QGroupBox::QGroupBox(QWidget*)"),
	mu_demangle_test("_ZN9QGroupBoxC1ERK7QStringP7QWidget_ptr", "QGroupBox::QGroupBox(QString const&, QWidget*)"),
	mu_demangle_test("_ZN9QIODevice4openE6QFlagsINS_12OpenModeFlagEE_ptr", "QIODevice::open(QFlags<QIODevice::OpenModeFlag>)"),
	mu_demangle_test("_ZN9QIODevice4readEPcx_ptr", "QIODevice::read(char*, int64_t)"),
	mu_demangle_test("_ZN9QIODevice5writeEPKcx_ptr", "QIODevice::write(char const*, int64_t)"),
	mu_demangle_test("_ZN9QIODevice7readAllEv_ptr", "QIODevice::readAll()"),
	mu_demangle_test("_ZN9QIODeviceC2Ev_ptr", "QIODevice::QIODevice()"),
	mu_demangle_test("_ZN9QIODeviceD2Ev_ptr", "QIODevice::~QIODevice()"),
	mu_demangle_test("_ZN9QLineEdit11qt_metacallEN11QMetaObject4CallEiPPv_ptr", "QLineEdit::qt_metacall(QMetaObject::Call, int, void**)"),
	mu_demangle_test("_ZN9QLineEdit11qt_metacastEPKc_ptr", "QLineEdit::qt_metacast(char const*)"),
	mu_demangle_test("_ZN9QLineEdit11setReadOnlyEb_ptr", "QLineEdit::setReadOnly(bool)"),
	mu_demangle_test("_ZN9QLineEdit11textChangedERK7QString_ptr", "QLineEdit::textChanged(QString const&)"),
	mu_demangle_test("_ZN9QLineEdit12setCompleterEP10QCompleter_ptr", "QLineEdit::setCompleter(QCompleter*)"),
	mu_demangle_test("_ZN9QLineEdit13keyPressEventEP9QKeyEvent_ptr", "QLineEdit::keyPressEvent(QKeyEvent*)"),
	mu_demangle_test("_ZN9QLineEdit16staticMetaObjectE_ptr", "QLineEdit::staticMetaObject"),
	mu_demangle_test("_ZN9QLineEdit18setPlaceholderTextERK7QString_ptr", "QLineEdit::setPlaceholderText(QString const&)"),
	mu_demangle_test("_ZN9QLineEdit3cutEv_ptr", "QLineEdit::cut()"),
	mu_demangle_test("_ZN9QLineEdit4redoEv_ptr", "QLineEdit::redo()"),
	mu_demangle_test("_ZN9QLineEdit4undoEv_ptr", "QLineEdit::undo()"),
	mu_demangle_test("_ZN9QLineEdit5pasteEv_ptr", "QLineEdit::paste()"),
	mu_demangle_test("_ZN9QLineEdit7setTextERK7QString_ptr", "QLineEdit::setText(QString const&)"),
	mu_demangle_test("_ZN9QLineEdit9selectAllEv_ptr", "QLineEdit::selectAll()"),
	mu_demangle_test("_ZN9QLineEditC1EP7QWidget_ptr", "QLineEdit::QLineEdit(QWidget*)"),
	mu_demangle_test("_ZN9QLineEditC2EP7QWidget_ptr", "QLineEdit::QLineEdit(QWidget*)"),
	mu_demangle_test("_ZN9QLineEditD2Ev_ptr", "QLineEdit::~QLineEdit()"),
	mu_demangle_test("_ZN9QListData11detach_growEPii_ptr", "QListData::detach_grow(int*, int)"),
	mu_demangle_test("_ZN9QListData11shared_nullE_ptr", "QListData::shared_null"),
	mu_demangle_test("_ZN9QListData6appendEv_ptr", "QListData::append()"),
	mu_demangle_test("_ZN9QListData6detachEi_ptr", "QListData::detach(int)"),
	mu_demangle_test("_ZN9QListData6removeEii_ptr", "QListData::remove(int, int)"),
	mu_demangle_test("_ZN9QListData7disposeEPNS_4DataE_ptr", "QListData::dispose(QListData::Data*)"),
	mu_demangle_test("_ZN9QListData7reallocEi_ptr", "QListData::realloc(int)"),
	mu_demangle_test("_ZN9QListView11qt_metacallEN11QMetaObject4CallEiPPv_ptr", "QListView::qt_metacall(QMetaObject::Call, int, void**)"),
	mu_demangle_test("_ZN9QListView11qt_metacastEPKc_ptr", "QListView::qt_metacast(char const*)"),
	mu_demangle_test("_ZN9QListView14currentChangedERK11QModelIndexS2__ptr", "QListView::currentChanged(QModelIndex const&, QModelIndex const&)"),
	mu_demangle_test("_ZN9QListViewC2EP7QWidget_ptr", "QListView::QListView(QWidget*)"),
	mu_demangle_test("_ZN9QListViewD2Ev_ptr", "QListView::~QListView()"),
	mu_demangle_test("_ZN9QMetaType22registerNormalizedTypeERK10QByteArrayPFvPvEPFS3_S3_PKvEi6QFlagsINS_8TypeFlagEEPK11QMetaObject_ptr", "QMetaType::registerNormalizedType(QByteArray const&, void (*)(void*), void* (*)(void*, void const*), int, QFlags<QMetaType::TypeFlag>, QMetaObject const*)"),
	mu_demangle_test("_ZN9QMetaType25registerConverterFunctionEPKN9QtPrivate25AbstractConverterFunctionEii_ptr", "QMetaType::registerConverterFunction(QtPrivate::AbstractConverterFunction const*, int, int)"),
	mu_demangle_test("_ZN9QMetaType25registerNormalizedTypedefERK10QByteArrayi_ptr", "QMetaType::registerNormalizedTypedef(QByteArray const&, int)"),
	mu_demangle_test("_ZN9QMetaType27unregisterConverterFunctionEii_ptr", "QMetaType::unregisterConverterFunction(int, int)"),
	mu_demangle_test("_ZN9QMetaType30hasRegisteredConverterFunctionEii_ptr", "QMetaType::hasRegisteredConverterFunction(int, int)"),
	mu_demangle_test("_ZN9QMetaType8typeNameEi_ptr", "QMetaType::typeName(int)"),
	mu_demangle_test("_ZN9QMimeData7setTextERK7QString_ptr", "QMimeData::setText(QString const&)"),
	mu_demangle_test("_ZN9QMimeDataC1Ev_ptr", "QMimeData::QMimeData()"),
	mu_demangle_test("_ZN9QResource11setFileNameERK7QString_ptr", "QResource::setFileName(QString const&)"),
	mu_demangle_test("_ZN9QResourceC1ERK7QStringRK7QLocale_ptr", "QResource::QResource(QString const&, QLocale const&)"),
	mu_demangle_test("_ZN9QResourceD1Ev_ptr", "QResource::~QResource()"),
	mu_demangle_test("_ZN9QRunnableD2Ev_ptr", "QRunnable::~QRunnable()"),
	mu_demangle_test("_ZN9QSettings10beginGroupERK7QString_ptr", "QSettings::beginGroup(QString const&)"),
	mu_demangle_test("_ZN9QSettings6removeERK7QString_ptr", "QSettings::remove(QString const&)"),
	mu_demangle_test("_ZN9QSettings8setValueERK7QStringRK8QVariant_ptr", "QSettings::setValue(QString const&, QVariant const&)"),
	mu_demangle_test("_ZN9QSettingsC1EP7QObject_ptr", "QSettings::QSettings(QObject*)"),
	mu_demangle_test("_ZN9QSettingsD1Ev_ptr", "QSettings::~QSettings()"),
	mu_demangle_test("_ZN9QSplitter14setCollapsibleEib_ptr", "QSplitter::setCollapsible(int, bool)"),
	mu_demangle_test("_ZN9QSplitter14setHandleWidthEi_ptr", "QSplitter::setHandleWidth(int)"),
	mu_demangle_test("_ZN9QSplitter16setStretchFactorEii_ptr", "QSplitter::setStretchFactor(int, int)"),
	mu_demangle_test("_ZN9QSplitter9addWidgetEP7QWidget_ptr", "QSplitter::addWidget(QWidget*)"),
	mu_demangle_test("_ZN9QSplitterC1EP7QWidget_ptr", "QSplitter::QSplitter(QWidget*)"),
	mu_demangle_test("_ZN9QTextEdit17setAcceptRichTextEb_ptr", "QTextEdit::setAcceptRichText(bool)"),
	mu_demangle_test("_ZN9QTextEdit18setPlaceholderTextERK7QString_ptr", "QTextEdit::setPlaceholderText(QString const&)"),
	mu_demangle_test("_ZN9QTextEdit23setTextInteractionFlagsE6QFlagsIN2Qt19TextInteractionFlagEE_ptr", "QTextEdit::setTextInteractionFlags(QFlags<Qt::TextInteractionFlag>)"),
	mu_demangle_test("_ZN9QTextEdit3cutEv_ptr", "QTextEdit::cut()"),
	mu_demangle_test("_ZN9QTextEdit4copyEv_ptr", "QTextEdit::copy()"),
	mu_demangle_test("_ZN9QTextEdit4redoEv_ptr", "QTextEdit::redo()"),
	mu_demangle_test("_ZN9QTextEdit4undoEv_ptr", "QTextEdit::undo()"),
	mu_demangle_test("_ZN9QTextEdit5pasteEv_ptr", "QTextEdit::paste()"),
	mu_demangle_test("_ZN9QTextEdit6appendERK7QString_ptr", "QTextEdit::append(QString const&)"),
	mu_demangle_test("_ZN9QTextEdit7setTextERK7QString_ptr", "QTextEdit::setText(QString const&)"),
	mu_demangle_test("_ZN9QTextEdit9selectAllEv_ptr", "QTextEdit::selectAll()"),
	mu_demangle_test("_ZN9QTextEditC1EP7QWidget_ptr", "QTextEdit::QTextEdit(QWidget*)"),
	mu_demangle_test("_ZN9QtPrivate12argToQStringE11QStringViewmPPKNS_7ArgBaseE_ptr", "QtPrivate::argToQString(QStringView, unsigned long, QtPrivate::ArgBase const**)"),
	mu_demangle_test("_ZN9QtPrivate16QStringList_joinEPK11QStringListPK5QChari_ptr", "QtPrivate::QStringList_join(QStringList const*, QChar const*, int)"),
	mu_demangle_test("_ZN9QtPrivate20QContainerImplHelper3midEiPiS1__ptr", "QtPrivate::QContainerImplHelper::mid(int, int*, int*)"),
	mu_demangle_test("_ZN9QTreeView11qt_metacallEN11QMetaObject4CallEiPPv_ptr", "QTreeView::qt_metacall(QMetaObject::Call, int, void**)"),
	mu_demangle_test("_ZN9QTreeView11qt_metacastEPKc_ptr", "QTreeView::qt_metacast(char const*)"),
	mu_demangle_test("_ZN9QTreeView14setIndentationEi_ptr", "QTreeView::setIndentation(int)"),
	mu_demangle_test("_ZN9QTreeView17setSortingEnabledEb_ptr", "QTreeView::setSortingEnabled(bool)"),
	mu_demangle_test("_ZN9QTreeView20setUniformRowHeightsEb_ptr", "QTreeView::setUniformRowHeights(bool)"),
	mu_demangle_test("_ZN9QTreeView22resizeColumnToContentsEi_ptr", "QTreeView::resizeColumnToContents(int)"),
	mu_demangle_test("_ZN9QTreeView9expandAllEv_ptr", "QTreeView::expandAll()"),
	mu_demangle_test("_ZN9QTreeViewC1EP7QWidget_ptr", "QTreeView::QTreeView(QWidget*)"),
	mu_demangle_test("_ZN9QTreeViewC2EP7QWidget_ptr", "QTreeView::QTreeView(QWidget*)"),
	mu_demangle_test("_ZN9QTreeViewD2Ev_ptr", "QTreeView::~QTreeView()"),
	mu_demangle_test("_ZN9QUrlQueryC1ERK7QString_ptr", "QUrlQuery::QUrlQuery(QString const&)"),
	mu_demangle_test("_ZN9QUrlQueryD1Ev_ptr", "QUrlQuery::~QUrlQuery()"),
	mu_demangle_test("_ZN9UIContext10setHandlerEP16UIContextHandler_ptr", "UIContext::setHandler(UIContextHandler*)"),
	mu_demangle_test("_ZN9UIContext12updateStatusEb_ptr", "UIContext::updateStatus(bool)"),
	mu_demangle_test("_ZN9UIContext14setupUIContextEP7QWidget_ptr", "UIContext::setupUIContext(QWidget*)"),
	mu_demangle_test("_ZN9UIContext18NotifyOnViewChangeEP9ViewFrameRK7QString_ptr", "UIContext::NotifyOnViewChange(ViewFrame*, QString const&)"),
	mu_demangle_test("_ZN9UIContext19getScaledWindowSizeEii_ptr", "UIContext::getScaledWindowSize(int, int)"),
	mu_demangle_test("_ZN9UIContext19NotifyOnContextOpenEv_ptr", "UIContext::NotifyOnContextOpen()"),
	mu_demangle_test("_ZN9UIContext20NotifyOnContextCloseEv_ptr", "UIContext::NotifyOnContextClose()"),
	mu_demangle_test("_ZN9UIContext21NotifyOnAddressChangeEP9ViewFrameP4ViewRK12ViewLocation_ptr", "UIContext::NotifyOnAddressChange(ViewFrame*, View*, ViewLocation const&)"),
	mu_demangle_test("_ZN9UIContext21NotifyOnAfterOpenFileEP11FileContextP9ViewFrame_ptr", "UIContext::NotifyOnAfterOpenFile(FileContext*, ViewFrame*)"),
	mu_demangle_test("_ZN9UIContext21NotifyOnAfterSaveFileEP11FileContextP9ViewFrame_ptr", "UIContext::NotifyOnAfterSaveFile(FileContext*, ViewFrame*)"),
	mu_demangle_test("_ZN9UIContext22NotifyOnAfterCloseFileEP11FileContextP9ViewFrame_ptr", "UIContext::NotifyOnAfterCloseFile(FileContext*, ViewFrame*)"),
	mu_demangle_test("_ZN9UIContext22NotifyOnBeforeOpenFileEP11FileContext_ptr", "UIContext::NotifyOnBeforeOpenFile(FileContext*)"),
	mu_demangle_test("_ZN9UIContext22NotifyOnBeforeSaveFileEP11FileContextP9ViewFrame_ptr", "UIContext::NotifyOnBeforeSaveFile(FileContext*, ViewFrame*)"),
	mu_demangle_test("_ZN9UIContext23NotifyOnBeforeCloseFileEP11FileContextP9ViewFrame_ptr", "UIContext::NotifyOnBeforeCloseFile(FileContext*, ViewFrame*)"),
	mu_demangle_test("_ZN9UIContext25NotifyOnAfterOpenDatabaseEN11BinaryNinja3RefINS0_12FileMetadataEEENS1_INS0_10BinaryViewEEE_ptr", "UIContext::NotifyOnAfterOpenDatabase(BinaryNinja::Ref<BinaryNinja::FileMetadata>, BinaryNinja::Ref<BinaryNinja::BinaryView>)"),
	mu_demangle_test("_ZN9UIContext26NotifyOnBeforeOpenDatabaseEN11BinaryNinja3RefINS0_12FileMetadataEEE_ptr", "UIContext::NotifyOnBeforeOpenDatabase(BinaryNinja::Ref<BinaryNinja::FileMetadata>)"),
	mu_demangle_test("_ZN9UIContextC2Ev_ptr", "UIContext::UIContext()"),
	mu_demangle_test("_ZN9UIContextD2Ev_ptr", "UIContext::~UIContext()"),
	mu_demangle_test("_ZN9ViewFrame10getTabNameEv_ptr", "ViewFrame::getTabName()"),
	mu_demangle_test("_ZN9ViewFrame11setViewTypeERK7QString_ptr", "ViewFrame::setViewType(QString const&)"),
	mu_demangle_test("_ZN9ViewFrame11updateFontsEv_ptr", "ViewFrame::updateFonts()"),
	mu_demangle_test("_ZN9ViewFrame11updateThemeEv_ptr", "ViewFrame::updateTheme()"),
	mu_demangle_test("_ZN9ViewFrame12closeRequestEv_ptr", "ViewFrame::closeRequest()"),
	mu_demangle_test("_ZN9ViewFrame14getCurrentViewEv_ptr", "ViewFrame::getCurrentView()"),
	mu_demangle_test("_ZN9ViewFrame15getViewLocationEv_ptr", "ViewFrame::getViewLocation()"),
	mu_demangle_test("_ZN9ViewFrame15setViewLocationERK12ViewLocation_ptr", "ViewFrame::setViewLocation(ViewLocation const&)"),
	mu_demangle_test("_ZN9ViewFrame16getShortFileNameEv_ptr", "ViewFrame::getShortFileName()"),
	mu_demangle_test("_ZN9ViewFrame18getCurrentDataTypeEv_ptr", "ViewFrame::getCurrentDataType()"),
	mu_demangle_test("_ZN9ViewFrame19getAddressFromInputEP7QWidgetN11BinaryNinja3RefINS2_10BinaryViewEEERmmRK7QStringS9_b_ptr", "ViewFrame::getAddressFromInput(QWidget*, BinaryNinja::Ref<BinaryNinja::BinaryView>, unsigned long&, unsigned long, QString const&, QString const&, bool)"),
	mu_demangle_test("_ZN9ViewFrame21setFileContentsLockedEb_ptr", "ViewFrame::setFileContentsLocked(bool)"),
	mu_demangle_test("_ZN9ViewFrame21updateCrossReferencesEv_ptr", "ViewFrame::updateCrossReferences()"),
	mu_demangle_test("_ZN9ViewFrame25getFileContentsLockStatusEv_ptr", "ViewFrame::getFileContentsLockStatus()"),
	mu_demangle_test("_ZN9ViewFrame4backEv_ptr", "ViewFrame::back()"),
	mu_demangle_test("_ZN9ViewFrame5focusEv_ptr", "ViewFrame::focus()"),
	mu_demangle_test("_ZN9ViewFrame7closingEv_ptr", "ViewFrame::closing()"),
	mu_demangle_test("_ZN9ViewFrame7forwardEv_ptr", "ViewFrame::forward()"),
	mu_demangle_test("_ZN9ViewFrame8navigateERK7QStringmbb_ptr", "ViewFrame::navigate(QString const&, unsigned long, bool, bool)"),
	mu_demangle_test("_ZN9ViewFrameC1EP7QWidgetP11FileContextRK7QStringb_ptr", "ViewFrame::ViewFrame(QWidget*, FileContext*, QString const&, bool)"),
	mu_demangle_test("_Znam_ptr", "operator new[](unsigned long)"),
	mu_demangle_test("_ZNK10QByteArray8endsWithEc_ptr", "QByteArray::endsWith(char) const"),
	mu_demangle_test("_ZNK10QJsonValue5toIntEi_ptr", "QJsonValue::toInt(int) const"),
	mu_demangle_test("_ZNK10QTableView14verticalHeaderEv_ptr", "QTableView::verticalHeader() const"),
	mu_demangle_test("_ZNK10QTableView16horizontalHeaderEv_ptr", "QTableView::horizontalHeader() const"),
	mu_demangle_test("_ZNK10QTableView9gridStyleEv_ptr", "QTableView::gridStyle() const"),
	mu_demangle_test("_ZNK10QTabWidget12currentIndexEv_ptr", "QTabWidget::currentIndex() const"),
	mu_demangle_test("_ZNK10QTabWidget13currentWidgetEv_ptr", "QTabWidget::currentWidget() const"),
	mu_demangle_test("_ZNK10QTabWidget5countEv_ptr", "QTabWidget::count() const"),
	mu_demangle_test("_ZNK10QTabWidget6tabBarEv_ptr", "QTabWidget::tabBar() const"),
	mu_demangle_test("_ZNK10QTabWidget6widgetEi_ptr", "QTabWidget::widget(int) const"),
	mu_demangle_test("_ZNK10QTabWidget7indexOfEP7QWidget_ptr", "QTabWidget::indexOf(QWidget*) const"),
	mu_demangle_test("_ZNK10QTabWidget7tabTextEi_ptr", "QTabWidget::tabText(int) const"),
	mu_demangle_test("_ZNK11BinaryNinja13FlowGraphNode12GetHighlightEv_5_0", "BinaryNinja::FlowGraphNode::GetHighlight() const"),
	mu_demangle_test("_ZNK11BinaryNinja13FlowGraphNode12GetHighlightEv_5_1", "BinaryNinja::FlowGraphNode::GetHighlight() const"),
	mu_demangle_test("_ZNK11BinaryNinja13FlowGraphNode12GetHighlightEv_5_2", "BinaryNinja::FlowGraphNode::GetHighlight() const"),
	mu_demangle_test("_ZNK11BinaryNinja13FlowGraphNode12GetHighlightEv_5_3", "BinaryNinja::FlowGraphNode::GetHighlight() const"),
	mu_demangle_test("_ZNK11QJsonObject8containsERK7QString_ptr", "QJsonObject::contains(QString const&) const"),
	mu_demangle_test("_ZNK11QMainWindow20isDockNestingEnabledEv_ptr", "QMainWindow::isDockNestingEnabled() const"),
	mu_demangle_test("_ZNK11QMainWindow6cornerEN2Qt6CornerE_ptr", "QMainWindow::corner(Qt::Corner) const"),
	mu_demangle_test("_ZNK11QMainWindow7menuBarEv_ptr", "QMainWindow::menuBar() const"),
	mu_demangle_test("_ZNK11QMainWindow9saveStateEi_ptr", "QMainWindow::saveState(int) const"),
	mu_demangle_test("_ZNK11QMainWindow9statusBarEv_ptr", "QMainWindow::statusBar() const"),
	mu_demangle_test("_ZNK11QMetaObject2trEPKcS1_i_ptr", "QMetaObject::tr(char const*, char const*, int) const"),
	mu_demangle_test("_ZNK11QMetaObject4castEP7QObject_ptr", "QMetaObject::cast(QObject*) const"),
	mu_demangle_test("_ZNK11QMetaObject4castEPK7QObject_ptr", "QMetaObject::cast(QObject const*) const"),
	mu_demangle_test("_ZNK11QMetaObject9classNameEv_ptr", "QMetaObject::className() const"),
	mu_demangle_test("_ZNK11QObjectData17dynamicMetaObjectEv_ptr", "QObjectData::dynamicMetaObject() const"),
	mu_demangle_test("_ZNK12QDirIterator7hasNextEv_ptr", "QDirIterator::hasNext() const"),
	mu_demangle_test("_ZNK12QDirIterator8fileInfoEv_ptr", "QDirIterator::fileInfo() const"),
	mu_demangle_test("_ZNK12QDirIterator8fileNameEv_ptr", "QDirIterator::fileName() const"),
	mu_demangle_test("_ZNK12QFontMetrics17horizontalAdvanceERK7QStringi_ptr", "QFontMetrics::horizontalAdvance(QString const&, int) const"),
	mu_demangle_test("_ZNK12QFontMetrics6ascentEv_ptr", "QFontMetrics::ascent() const"),
	mu_demangle_test("_ZNK12QFontMetrics6heightEv_ptr", "QFontMetrics::height() const"),
	mu_demangle_test("_ZNK12QInputDialog9textValueEv_ptr", "QInputDialog::textValue() const"),
	mu_demangle_test("_ZNK12QKeySequence7isEmptyEv_ptr", "QKeySequence::isEmpty() const"),
	mu_demangle_test("_ZNK12QKeySequence8toStringENS_14SequenceFormatE_ptr", "QKeySequence::toString(QKeySequence::SequenceFormat) const"),
	mu_demangle_test("_ZNK12QKeySequenceeqERKS__ptr", "QKeySequence::operator==(QKeySequence const&) const"),
	mu_demangle_test("_ZNK12QKeySequenceltERKS__ptr", "QKeySequence::operator<(QKeySequence const&) const"),
	mu_demangle_test("_ZNK13QFileAccessor7IsValidEv_ptr", "QFileAccessor::IsValid() const"),
	mu_demangle_test("_ZNK13QFontMetricsF6heightEv_ptr", "QFontMetricsF::height() const"),
	mu_demangle_test("_ZNK13QItemDelegate5paintEP8QPainterRK20QStyleOptionViewItemRK11QModelIndex_ptr", "QItemDelegate::paint(QPainter*, QStyleOptionViewItem const&, QModelIndex const&) const"),
	mu_demangle_test("_ZNK13QJsonDocument6objectEv_ptr", "QJsonDocument::object() const"),
	mu_demangle_test("_ZNK13QJsonDocumentixERK7QString_ptr", "QJsonDocument::operator[](QString const&) const"),
	mu_demangle_test("_ZNK13QNetworkReply10isFinishedEv_ptr", "QNetworkReply::isFinished() const"),
	mu_demangle_test("_ZNK13QNetworkReply12hasRawHeaderERK10QByteArray_ptr", "QNetworkReply::hasRawHeader(QByteArray const&) const"),
	mu_demangle_test("_ZNK13QNetworkReply14rawHeaderPairsEv_ptr", "QNetworkReply::rawHeaderPairs() const"),
	mu_demangle_test("_ZNK13QNetworkReply5errorEv_ptr", "QNetworkReply::error() const"),
	mu_demangle_test("_ZNK13QNetworkReply6headerEN15QNetworkRequest12KnownHeadersE_ptr", "QNetworkReply::header(QNetworkRequest::KnownHeaders) const"),
	mu_demangle_test("_ZNK13QNetworkReply9attributeEN15QNetworkRequest9AttributeE_ptr", "QNetworkReply::attribute(QNetworkRequest::Attribute) const"),
	mu_demangle_test("_ZNK13QNetworkReply9rawHeaderERK10QByteArray_ptr", "QNetworkReply::rawHeader(QByteArray const&) const"),
	mu_demangle_test("_ZNK14QItemSelection7indexesEv_ptr", "QItemSelection::indexes() const"),
	mu_demangle_test("_ZNK14QWebEnginePage7profileEv_ptr", "QWebEnginePage::profile() const"),
	mu_demangle_test("_ZNK14QWebEngineView4pageEv_ptr", "QWebEngineView::page() const"),
	mu_demangle_test("_ZNK14QWebEngineView8settingsEv_ptr", "QWebEngineView::settings() const"),
	mu_demangle_test("_ZNK15QAbstractButton9isCheckedEv_ptr", "QAbstractButton::isChecked() const"),
	mu_demangle_test("_ZNK15QProgressDialog11wasCanceledEv_ptr", "QProgressDialog::wasCanceled() const"),
	mu_demangle_test("_ZNK15QProgressDialog7maximumEv_ptr", "QProgressDialog::maximum() const"),
	mu_demangle_test("_ZNK15QProgressDialog7minimumEv_ptr", "QProgressDialog::minimum() const"),
	mu_demangle_test("_ZNK16QKeySequenceEdit11keySequenceEv_ptr", "QKeySequenceEdit::keySequence() const"),
	mu_demangle_test("_ZNK17QAbstractItemView12itemDelegateEv_ptr", "QAbstractItemView::itemDelegate() const"),
	mu_demangle_test("_ZNK17QAbstractItemView14selectionModelEv_ptr", "QAbstractItemView::selectionModel() const"),
	mu_demangle_test("_ZNK17QAbstractItemView5modelEv_ptr", "QAbstractItemView::model() const"),
	mu_demangle_test("_ZNK18QAbstractAnimation9directionEv_ptr", "QAbstractAnimation::direction() const"),
	mu_demangle_test("_ZNK18QAbstractItemModel5flagsERK11QModelIndex_ptr", "QAbstractItemModel::flags(QModelIndex const&) const"),
	mu_demangle_test("_ZNK18QCommandLineParser19positionalArgumentsEv_ptr", "QCommandLineParser::positionalArguments() const"),
	mu_demangle_test("_ZNK18QCommandLineParser5isSetERK18QCommandLineOption_ptr", "QCommandLineParser::isSet(QCommandLineOption const&) const"),
	mu_demangle_test("_ZNK18QCommandLineParser5valueERK18QCommandLineOption_ptr", "QCommandLineParser::value(QCommandLineOption const&) const"),
	mu_demangle_test("_ZNK18QRegularExpression5matchERK7QStringiNS_9MatchTypeE6QFlagsINS_11MatchOptionEE_ptr", "QRegularExpression::match(QString const&, int, QRegularExpression::MatchType, QFlags<QRegularExpression::MatchOption>) const"),
	mu_demangle_test("_ZNK18QRegularExpression7isValidEv_ptr", "QRegularExpression::isValid() const"),
	mu_demangle_test("_ZNK18QRegularExpression7patternEv_ptr", "QRegularExpression::pattern() const"),
	mu_demangle_test("_ZNK19QAbstractProxyModel11sourceModelEv_ptr", "QAbstractProxyModel::sourceModel() const"),
	mu_demangle_test("_ZNK19QAbstractScrollArea17verticalScrollBarEv_ptr", "QAbstractScrollArea::verticalScrollBar() const"),
	mu_demangle_test("_ZNK19QAbstractScrollArea19horizontalScrollBarEv_ptr", "QAbstractScrollArea::horizontalScrollBar() const"),
	mu_demangle_test("_ZNK19QItemSelectionModel9selectionEv_ptr", "QItemSelectionModel::selection() const"),
	mu_demangle_test("_ZNK19QStyledItemDelegate12createEditorEP7QWidgetRK20QStyleOptionViewItemRK11QModelIndex_ptr", "QStyledItemDelegate::createEditor(QWidget*, QStyleOptionViewItem const&, QModelIndex const&) const"),
	mu_demangle_test("_ZNK19QStyledItemDelegate12setModelDataEP7QWidgetP18QAbstractItemModelRK11QModelIndex_ptr", "QStyledItemDelegate::setModelData(QWidget*, QAbstractItemModel*, QModelIndex const&) const"),
	mu_demangle_test("_ZNK19QStyledItemDelegate13setEditorDataEP7QWidgetRK11QModelIndex_ptr", "QStyledItemDelegate::setEditorData(QWidget*, QModelIndex const&) const"),
	mu_demangle_test("_ZNK21QSortFilterProxyModel12filterRegExpEv_ptr", "QSortFilterProxyModel::filterRegExp() const"),
	mu_demangle_test("_ZNK21QSortFilterProxyModel23filterRegularExpressionEv_ptr", "QSortFilterProxyModel::filterRegularExpression() const"),
	mu_demangle_test("_ZNK21QSortFilterProxyModel4dataERK11QModelIndexi_ptr", "QSortFilterProxyModel::data(QModelIndex const&, int) const"),
	mu_demangle_test("_ZNK21QSortFilterProxyModel8lessThanERK11QModelIndexS2__ptr", "QSortFilterProxyModel::lessThan(QModelIndex const&, QModelIndex const&) const"),
	mu_demangle_test("_ZNK23QRegularExpressionMatch13capturedTextsEv_ptr", "QRegularExpressionMatch::capturedTexts() const"),
	mu_demangle_test("_ZNK23QRegularExpressionMatch8hasMatchEv_ptr", "QRegularExpressionMatch::hasMatch() const"),
	mu_demangle_test("_ZNK4QDir16absoluteFilePathERK7QString_ptr", "QDir::absoluteFilePath(QString const&) const"),
	mu_demangle_test("_ZNK4QDir6existsEv_ptr", "QDir::exists() const"),
	mu_demangle_test("_ZNK4QDir6mkpathERK7QString_ptr", "QDir::mkpath(QString const&) const"),
	mu_demangle_test("_ZNK4QUrl11isLocalFileEv_ptr", "QUrl::isLocalFile() const"),
	mu_demangle_test("_ZNK4QUrl11toLocalFileEv_ptr", "QUrl::toLocalFile() const"),
	mu_demangle_test("_ZNK4QUrl4pathE6QFlagsINS_25ComponentFormattingOptionEE_ptr", "QUrl::path(QFlags<QUrl::ComponentFormattingOption>) const"),
	mu_demangle_test("_ZNK4QUrl5queryE6QFlagsINS_25ComponentFormattingOptionEE_ptr", "QUrl::query(QFlags<QUrl::ComponentFormattingOption>) const"),
	mu_demangle_test("_ZNK4QUrl6schemeEv_ptr", "QUrl::scheme() const"),
	mu_demangle_test("_ZNK4QUrl7isValidEv_ptr", "QUrl::isValid() const"),
	mu_demangle_test("_ZNK4QUrl8adjustedE12QUrlTwoFlagsINS_19UrlFormattingOptionENS_25ComponentFormattingOptionEE_ptr", "QUrl::adjusted(QUrlTwoFlags<QUrl::UrlFormattingOption, QUrl::ComponentFormattingOption>) const"),
	mu_demangle_test("_ZNK4QUrl8toStringE12QUrlTwoFlagsINS_19UrlFormattingOptionENS_25ComponentFormattingOptionEE_ptr", "QUrl::toString(QUrlTwoFlags<QUrl::UrlFormattingOption, QUrl::ComponentFormattingOption>) const"),
	mu_demangle_test("_ZNK5QFile4sizeEv_ptr", "QFile::size() const"),
	mu_demangle_test("_ZNK5QFile6existsEv_ptr", "QFile::exists() const"),
	mu_demangle_test("_ZNK5QFont6familyEv_ptr", "QFont::family() const"),
	mu_demangle_test("_ZNK5QFont9pointSizeEv_ptr", "QFont::pointSize() const"),
	mu_demangle_test("_ZNK5QFont9styleNameEv_ptr", "QFont::styleName() const"),
	mu_demangle_test("_ZNK5QIcon6pixmapERK5QSizeNS_4ModeENS_5StateE_ptr", "QIcon::pixmap(QSize const&, QIcon::Mode, QIcon::State) const"),
	mu_demangle_test("_ZNK5QRect8containsERKS_b_ptr", "QRect::contains(QRect const&, bool) const"),
	mu_demangle_test("_ZNK6QColor4nameENS_10NameFormatE_ptr", "QColor::name(QColor::NameFormat) const"),
	mu_demangle_test("_ZNK6QColor4nameEv_ptr", "QColor::name() const"),
	mu_demangle_test("_ZNK6QColor6darkerEi_ptr", "QColor::darker(int) const"),
	mu_demangle_test("_ZNK6QColor9lightnessEv_ptr", "QColor::lightness() const"),
	mu_demangle_test("_ZNK6QLabel20textInteractionFlagsEv_ptr", "QLabel::textInteractionFlags() const"),
	mu_demangle_test("_ZNK6QLabel4textEv_ptr", "QLabel::text() const"),
	mu_demangle_test("_ZNK7QAction4dataEv_ptr", "QAction::data() const"),
	mu_demangle_test("_ZNK7QLocale8toStringERK9QDateTimeNS_10FormatTypeE_ptr", "QLocale::toString(QDateTime const&, QLocale::FormatType) const"),
	mu_demangle_test("_ZNK7QObject6senderEv_ptr", "QObject::sender() const"),
	mu_demangle_test("_ZNK7QRegExp10exactMatchERK7QString_ptr", "QRegExp::exactMatch(QString const&) const"),
	mu_demangle_test("_ZNK7QRegExp7indexInERK7QStringiNS_9CaretModeE_ptr", "QRegExp::indexIn(QString const&, int, QRegExp::CaretMode) const"),
	mu_demangle_test("_ZNK7QRegExp7isEmptyEv_ptr", "QRegExp::isEmpty() const"),
	mu_demangle_test("_ZNK7QScreen4sizeEv_ptr", "QScreen::size() const"),
	mu_demangle_test("_ZNK7QScreen8geometryEv_ptr", "QScreen::geometry() const"),
	mu_demangle_test("_ZNK7QString10startsWithERKS_N2Qt15CaseSensitivityE_ptr", "QString::startsWith(QString const&, Qt::CaseSensitivity) const"),
	mu_demangle_test("_ZNK7QString10toLongLongEPbi_ptr", "QString::toLongLong(bool*, int) const"),
	mu_demangle_test("_ZNK7QString11toULongLongEPbi_ptr", "QString::toULongLong(bool*, int) const"),
	mu_demangle_test("_ZNK7QString13toHtmlEscapedEv_ptr", "QString::toHtmlEscaped() const"),
	mu_demangle_test("_ZNK7QString3argERKS_i5QChar_ptr", "QString::arg(QString const&, int, QChar) const"),
	mu_demangle_test("_ZNK7QString3argExii5QChar_ptr", "QString::arg(int64_t, int, int, QChar) const"),
	mu_demangle_test("_ZNK7QString3argEyii5QChar_ptr", "QString::arg(uint64_t, int, int, QChar) const"),
	mu_demangle_test("_ZNK7QString3midEii_ptr", "QString::mid(int, int) const"),
	mu_demangle_test("_ZNK7QString5splitE5QChar6QFlagsIN2Qt18SplitBehaviorFlagsEENS2_15CaseSensitivityE_ptr", "QString::split(QChar, QFlags<Qt::SplitBehaviorFlags>, Qt::CaseSensitivity) const"),
	mu_demangle_test("_ZNK7QString5splitERKS_6QFlagsIN2Qt18SplitBehaviorFlagsEENS3_15CaseSensitivityE_ptr", "QString::split(QString const&, QFlags<Qt::SplitBehaviorFlags>, Qt::CaseSensitivity) const"),
	mu_demangle_test("_ZNK7QString5toIntEPbi_ptr", "QString::toInt(bool*, int) const"),
	mu_demangle_test("_ZNK7QString7indexOfERKS_iN2Qt15CaseSensitivityE_ptr", "QString::indexOf(QString const&, int, Qt::CaseSensitivity) const"),
	mu_demangle_test("_ZNK7QString8containsERK18QRegularExpressionP23QRegularExpressionMatch_ptr", "QString::contains(QRegularExpression const&, QRegularExpressionMatch*) const"),
	mu_demangle_test("_ZNK7QString8endsWithERKS_N2Qt15CaseSensitivityE_ptr", "QString::endsWith(QString const&, Qt::CaseSensitivity) const"),
	mu_demangle_test("_ZNK7QTabBar5tabAtERK6QPoint_ptr", "QTabBar::tabAt(QPoint const&) const"),
	mu_demangle_test("_ZNK7QThread23isInterruptionRequestedEv_ptr", "QThread::isInterruptionRequested() const"),
	mu_demangle_test("_ZNK7QWidget10sizePolicyEv_ptr", "QWidget::sizePolicy() const"),
	mu_demangle_test("_ZNK7QWidget11focusWidgetEv_ptr", "QWidget::focusWidget() const"),
	mu_demangle_test("_ZNK7QWidget12contentsRectEv_ptr", "QWidget::contentsRect() const"),
	mu_demangle_test("_ZNK7QWidget12saveGeometryEv_ptr", "QWidget::saveGeometry() const"),
	mu_demangle_test("_ZNK7QWidget13frameGeometryEv_ptr", "QWidget::frameGeometry() const"),
	mu_demangle_test("_ZNK7QWidget14isActiveWindowEv_ptr", "QWidget::isActiveWindow() const"),
	mu_demangle_test("_ZNK7QWidget5styleEv_ptr", "QWidget::style() const"),
	mu_demangle_test("_ZNK7QWidget6layoutEv_ptr", "QWidget::layout() const"),
	mu_demangle_test("_ZNK7QWidget6screenEv_ptr", "QWidget::screen() const"),
	mu_demangle_test("_ZNK7QWidget7paletteEv_ptr", "QWidget::palette() const"),
	mu_demangle_test("_ZNK7QWidget8hasFocusEv_ptr", "QWidget::hasFocus() const"),
	mu_demangle_test("_ZNK8QPalette5brushENS_10ColorGroupENS_9ColorRoleE_ptr", "QPalette::brush(QPalette::ColorGroup, QPalette::ColorRole) const"),
	mu_demangle_test("_ZNK8QVariant10canConvertEi_ptr", "QVariant::canConvert(int) const"),
	mu_demangle_test("_ZNK8QVariant11toByteArrayEv_ptr", "QVariant::toByteArray() const"),
	mu_demangle_test("_ZNK8QVariant3cmpERKS__ptr", "QVariant::cmp(QVariant const&) const"),
	mu_demangle_test("_ZNK8QVariant5toIntEPb_ptr", "QVariant::toInt(bool*) const"),
	mu_demangle_test("_ZNK8QVariant6toBoolEv_ptr", "QVariant::toBool() const"),
	mu_demangle_test("_ZNK8QVariant6toListEv_ptr", "QVariant::toList() const"),
	mu_demangle_test("_ZNK8QVariant7convertEiPv_ptr", "QVariant::convert(int, void*) const"),
	mu_demangle_test("_ZNK8QVariant8toStringEv_ptr", "QVariant::toString() const"),
	mu_demangle_test("_ZNK8QVariant8userTypeEv_ptr", "QVariant::userType() const"),
	mu_demangle_test("_ZNK8QVariant9constDataEv_ptr", "QVariant::constData() const"),
	mu_demangle_test("_ZNK9QCheckBox10checkStateEv_ptr", "QCheckBox::checkState() const"),
	mu_demangle_test("_ZNK9QComboBox11currentTextEv_ptr", "QComboBox::currentText() const"),
	mu_demangle_test("_ZNK9QComboBox5countEv_ptr", "QComboBox::count() const"),
	mu_demangle_test("_ZNK9QComboBox8findDataERK8QVarianti6QFlagsIN2Qt9MatchFlagEE_ptr", "QComboBox::findData(QVariant const&, int, QFlags<Qt::MatchFlag>) const"),
	mu_demangle_test("_ZNK9QComboBox8itemDataEii_ptr", "QComboBox::itemData(int, int) const"),
	mu_demangle_test("_ZNK9QComboBox8itemTextEi_ptr", "QComboBox::itemText(int) const"),
	mu_demangle_test("_ZNK9QDateTime10toTimeSpecEN2Qt8TimeSpecE_ptr", "QDateTime::toTimeSpec(Qt::TimeSpec) const"),
	mu_demangle_test("_ZNK9QDateTime6daysToERKS__ptr", "QDateTime::daysTo(QDateTime const&) const"),
	mu_demangle_test("_ZNK9QDateTime8toStringEN2Qt10DateFormatE_ptr", "QDateTime::toString(Qt::DateFormat) const"),
	mu_demangle_test("_ZNK9QDateTimeltERKS__ptr", "QDateTime::operator<(QDateTime const&) const"),
	mu_demangle_test("_ZNK9QFileInfo12absolutePathEv_ptr", "QFileInfo::absolutePath() const"),
	mu_demangle_test("_ZNK9QFileInfo17canonicalFilePathEv_ptr", "QFileInfo::canonicalFilePath() const"),
	mu_demangle_test("_ZNK9QFileInfo4pathEv_ptr", "QFileInfo::path() const"),
	mu_demangle_test("_ZNK9QFileInfo5isDirEv_ptr", "QFileInfo::isDir() const"),
	mu_demangle_test("_ZNK9QFileInfo6existsEv_ptr", "QFileInfo::exists() const"),
	mu_demangle_test("_ZNK9QFileInfo6suffixEv_ptr", "QFileInfo::suffix() const"),
	mu_demangle_test("_ZNK9QFileInfo8fileNameEv_ptr", "QFileInfo::fileName() const"),
	mu_demangle_test("_ZNK9QIODevice11errorStringEv_ptr", "QIODevice::errorString() const"),
	mu_demangle_test("_ZNK9QKeyEvent9modifiersEv_ptr", "QKeyEvent::modifiers() const"),
	mu_demangle_test("_ZNK9QLineEdit10isReadOnlyEv_ptr", "QLineEdit::isReadOnly() const"),
	mu_demangle_test("_ZNK9QLineEdit4copyEv_ptr", "QLineEdit::copy() const"),
	mu_demangle_test("_ZNK9QLineEdit4textEv_ptr", "QLineEdit::text() const"),
	mu_demangle_test("_ZNK9QMimeData4urlsEv_ptr", "QMimeData::urls() const"),
	mu_demangle_test("_ZNK9QResource16uncompressedDataEv_ptr", "QResource::uncompressedData() const"),
	mu_demangle_test("_ZNK9QResource16uncompressedSizeEv_ptr", "QResource::uncompressedSize() const"),
	mu_demangle_test("_ZNK9QSettings5valueERK7QStringRK8QVariant_ptr", "QSettings::value(QString const&, QVariant const&) const"),
	mu_demangle_test("_ZNK9QSettings7allKeysEv_ptr", "QSettings::allKeys() const"),
	mu_demangle_test("_ZNK9QSettings8containsERK7QString_ptr", "QSettings::contains(QString const&) const"),
	mu_demangle_test("_ZNK9QTextEdit10isReadOnlyEv_ptr", "QTextEdit::isReadOnly() const"),
	mu_demangle_test("_ZNK9QTextEdit11toPlainTextEv_ptr", "QTextEdit::toPlainText() const"),
	mu_demangle_test("_ZNK9QTreeView6headerEv_ptr", "QTreeView::header() const"),
	mu_demangle_test("_ZNK9QUrlQuery12hasQueryItemERK7QString_ptr", "QUrlQuery::hasQueryItem(QString const&) const"),
	mu_demangle_test("_ZNK9QUrlQuery14queryItemValueERK7QString6QFlagsIN4QUrl25ComponentFormattingOptionEE_ptr", "QUrlQuery::queryItemValue(QString const&, QFlags<QUrl::ComponentFormattingOption>) const"),
	mu_demangle_test("_ZNK9ViewFrame17getAvailableTypesEv_ptr", "ViewFrame::getAvailableTypes() const"),
	mu_demangle_test("_ZNKSt7__cxx1115basic_stringbufIcSt11char_traitsIcESaIcEE3strEv_ptr", "std::stringbuf::str() const"),
	mu_demangle_test("_ZNKSt8__detail20_Prime_rehash_policy11_M_next_bktEm_ptr", "std::__detail::_Prime_rehash_policy::_M_next_bkt(unsigned long) const"),
	mu_demangle_test("_ZNKSt8__detail20_Prime_rehash_policy14_M_need_rehashEmmm_ptr", "std::__detail::_Prime_rehash_policy::_M_need_rehash(unsigned long, unsigned long, unsigned long) const"),
	mu_demangle_test("_ZNSi10_M_extractIdEERSiRT__ptr", "std::istream& std::istream::_M_extract<double>(double&)"),
	mu_demangle_test("_ZNSo9_M_insertImEERSoT__ptr", "std::ostream& std::ostream::_M_insert<unsigned long>(unsigned long)"),
	mu_demangle_test("_ZNSolsEPSt15basic_streambufIcSt11char_traitsIcEE_ptr", "std::ostream::operator<<(std::streambuf*)"),
	mu_demangle_test("_ZNSt11logic_errorC1EPKc_ptr", "std::logic_error::logic_error(char const*)"),
	mu_demangle_test("_ZNSt11logic_errorD1Ev_ptr", "std::logic_error::~logic_error()"),
	mu_demangle_test("_ZNSt14_Function_base13_Base_managerIZN8appdebug20clPrintCmdQOccupancyEP17_cl_command_queueEUlvE_E10_M_managerERSt9_Any_dataRKS6_St18_Manager_operation_100", "std::_Function_base::_Base_manager<appdebug::clPrintCmdQOccupancy(_cl_command_queue*)::{lambda()#1}>::_M_manager(std::_Any_data&, std::_Any_data const&, std::_Manager_operation)"),
	mu_demangle_test("_ZNSt14_Function_base13_Base_managerIZN8appdebug20clPrintCmdQOccupancyEP17_cl_command_queueEUlvE_E10_M_managerERSt9_Any_dataRKS6_St18_Manager_operation_101", "std::_Function_base::_Base_manager<appdebug::clPrintCmdQOccupancy(_cl_command_queue*)::{lambda()#1}>::_M_manager(std::_Any_data&, std::_Any_data const&, std::_Manager_operation)"),
	mu_demangle_test("_ZNSt14_Function_base13_Base_managerIZN8appdebug20clPrintCmdQOccupancyEP17_cl_command_queueEUlvE_E10_M_managerERSt9_Any_dataRKS6_St18_Manager_operation_102", "std::_Function_base::_Base_manager<appdebug::clPrintCmdQOccupancy(_cl_command_queue*)::{lambda()#1}>::_M_manager(std::_Any_data&, std::_Any_data const&, std::_Manager_operation)"),
	mu_demangle_test("_ZNSt14_Function_base13_Base_managerIZN8appdebug20clPrintCmdQOccupancyEP17_cl_command_queueEUlvE_E10_M_managerERSt9_Any_dataRKS6_St18_Manager_operation_103", "std::_Function_base::_Base_manager<appdebug::clPrintCmdQOccupancy(_cl_command_queue*)::{lambda()#1}>::_M_manager(std::_Any_data&, std::_Any_data const&, std::_Manager_operation)"),
	mu_demangle_test("_ZNSt14_Function_base13_Base_managerIZN8appdebug20clPrintCmdQOccupancyEP17_cl_command_queueEUlvE_E10_M_managerERSt9_Any_dataRKS6_St18_Manager_operation_104", "std::_Function_base::_Base_manager<appdebug::clPrintCmdQOccupancy(_cl_command_queue*)::{lambda()#1}>::_M_manager(std::_Any_data&, std::_Any_data const&, std::_Manager_operation)"),
	mu_demangle_test("_ZNSt14_Function_base13_Base_managerIZN8appdebug20clPrintCmdQOccupancyEP17_cl_command_queueEUlvE_E10_M_managerERSt9_Any_dataRKS6_St18_Manager_operation_105", "std::_Function_base::_Base_manager<appdebug::clPrintCmdQOccupancy(_cl_command_queue*)::{lambda()#1}>::_M_manager(std::_Any_data&, std::_Any_data const&, std::_Manager_operation)"),
	mu_demangle_test("_ZNSt6chrono3_V212steady_clock3nowEv_ptr", "std::chrono::_V2::steady_clock::now()"),
	mu_demangle_test("_ZNSt6chrono3_V212system_clock3nowEv_ptr", "std::chrono::_V2::system_clock::now()"),
	mu_demangle_test("_ZNSt6localeC1Ev_ptr", "std::locale::locale()"),
	mu_demangle_test("_ZNSt6localeD1Ev_ptr", "std::locale::~locale()"),
	mu_demangle_test("_ZNSt7__cxx1115basic_stringbufIcSt11char_traitsIcESaIcEE7_M_syncEPcmm_ptr", "std::stringbuf::_M_sync(char*, unsigned long, unsigned long)"),
	mu_demangle_test("_ZNSt7__cxx1118basic_stringstreamIcSt11char_traitsIcESaIcEED1Ev_ptr", "std::stringstream::~stringstream()"),
	mu_demangle_test("_ZNSt7__cxx1119basic_istringstreamIcSt11char_traitsIcESaIcEED1Ev_ptr", "std::istringstream::~istringstream()"),
	mu_demangle_test("_ZNSt7__cxx1119basic_ostringstreamIcSt11char_traitsIcESaIcEEC1ESt13_Ios_Openmode_ptr", "std::ostringstream::ostringstream(std::ios_base::openmode)"),
	mu_demangle_test("_ZNSt7__cxx1119basic_ostringstreamIcSt11char_traitsIcESaIcEED1Ev_ptr", "std::ostringstream::~ostringstream()"),
	mu_demangle_test("_ZNSt8ios_baseC2Ev_ptr", "std::ios_base::ios_base()"),
	mu_demangle_test("_ZNSt8ios_baseD2Ev_ptr", "std::ios_base::~ios_base()"),
	mu_demangle_test("_ZNSt9basic_iosIcSt11char_traitsIcEE4initEPSt15basic_streambufIcS1_E_ptr", "std::ios::init(std::streambuf*)"),
	mu_demangle_test("_ZNSt9exceptionD2Ev_ptr", "std::exception::~exception()"),
	mu_demangle_test("_Znwm_ptr", "operator new(unsigned long)"),
	mu_demangle_test("_ZSt11_Hash_bytesPKvmm_ptr", "std::_Hash_bytes(void const*, unsigned long, unsigned long)"),
	mu_demangle_test("_ZSt16__ostream_insertIcSt11char_traitsIcEERSt13basic_ostreamIT_T0_ES6_PKS3_l_ptr", "std::ostream& std::__ostream_insert<char, std::char_traits<char> >(std::ostream&, char const*, long)"),
	mu_demangle_test("_ZSt17__throw_bad_allocv_ptr", "std::__throw_bad_alloc()"),
	mu_demangle_test("_ZSt18_Rb_tree_decrementPKSt18_Rb_tree_node_base_ptr", "std::_Rb_tree_decrement(std::_Rb_tree_node_base const*)"),
	mu_demangle_test("_ZSt18_Rb_tree_decrementPSt18_Rb_tree_node_base_ptr", "std::_Rb_tree_decrement(std::_Rb_tree_node_base*)"),
	mu_demangle_test("_ZSt18_Rb_tree_incrementPKSt18_Rb_tree_node_base_ptr", "std::_Rb_tree_increment(std::_Rb_tree_node_base const*)"),
	mu_demangle_test("_ZSt18_Rb_tree_incrementPSt18_Rb_tree_node_base_ptr", "std::_Rb_tree_increment(std::_Rb_tree_node_base*)"),
	mu_demangle_test("_ZSt19__throw_logic_errorPKc_ptr", "std::__throw_logic_error(char const*)"),
	mu_demangle_test("_ZSt20__throw_length_errorPKc_ptr", "std::__throw_length_error(char const*)"),
	mu_demangle_test("_ZSt20__throw_out_of_rangePKc_ptr", "std::__throw_out_of_range(char const*)"),
	mu_demangle_test("_ZSt20__throw_system_errori_ptr", "std::__throw_system_error(int)"),
	mu_demangle_test("_ZSt24__throw_out_of_range_fmtPKcz_ptr", "std::__throw_out_of_range_fmt(char const*, ...)"),
	mu_demangle_test("_ZSt25__throw_bad_function_callv_ptr", "std::__throw_bad_function_call()"),
	mu_demangle_test("_ZSt28_Rb_tree_rebalance_for_erasePSt18_Rb_tree_node_baseRS__ptr", "std::_Rb_tree_rebalance_for_erase(std::_Rb_tree_node_base*, std::_Rb_tree_node_base&)"),
	mu_demangle_test("_ZSt29_Rb_tree_insert_and_rebalancebPSt18_Rb_tree_node_baseS0_RS__ptr", "std::_Rb_tree_insert_and_rebalance(bool, std::_Rb_tree_node_base*, std::_Rb_tree_node_base*, std::_Rb_tree_node_base&)"),
	mu_demangle_test("_ZSt7getlineIcSt11char_traitsIcESaIcEERSt13basic_istreamIT_T0_ES7_RNSt7__cxx1112basic_stringIS4_S5_T1_EES4__ptr", "std::istream& std::getline<char, std::char_traits<char>, std::allocator<char> >(std::istream&, std::string&, char)"),
	mu_demangle_test("_ZSt9terminatev_ptr", "std::terminate()"),
	mu_demangle_test("_ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc_ptr", "std::ostream& std::operator<< <std::char_traits<char> >(std::ostream&, char const*)"),
	mu_demangle_test("_ZTI12QApplication_ptr", "typeinfo for QApplication"),
	mu_demangle_test("_ZTI12QTextBrowser_ptr", "typeinfo for QTextBrowser"),
	mu_demangle_test("_ZTI12ReportWidget_ptr", "typeinfo for ReportWidget"),
	mu_demangle_test("_ZTI15FlowGraphWidget_ptr", "typeinfo for FlowGraphWidget"),
	mu_demangle_test("_ZTI22ReportCollectionWidget_ptr", "typeinfo for ReportCollectionWidget"),
	mu_demangle_test("_ZTI4View_ptr", "typeinfo for View"),
	mu_demangle_test("_ZTI6QEvent_ptr", "typeinfo for QEvent"),
	mu_demangle_test("_ZTI9QLineEdit_ptr", "typeinfo for QLineEdit"),
	mu_demangle_test("_ZTI9ViewFrame_ptr", "typeinfo for ViewFrame"),
	mu_demangle_test("_ZTTNSt7__cxx1118basic_stringstreamIcSt11char_traitsIcESaIcEEE_ptr", "VTT for std::stringstream"),
	mu_demangle_test("_ZTTNSt7__cxx1119basic_istringstreamIcSt11char_traitsIcESaIcEEE_ptr", "VTT for std::istringstream"),
	mu_demangle_test("_ZTTNSt7__cxx1119basic_ostringstreamIcSt11char_traitsIcESaIcEEE_ptr", "VTT for std::ostringstream"),
	mu_demangle_test("_ZTV10MenuHelper_ptr", "vtable for MenuHelper"),
	mu_demangle_test("_ZTV14ClickableLabel_ptr", "vtable for ClickableLabel"),
	mu_demangle_test("_ZTV15FormInputDialog_ptr", "vtable for FormInputDialog"),
	mu_demangle_test("_ZTVNSt7__cxx1115basic_stringbufIcSt11char_traitsIcESaIcEEE_ptr", "vtable for std::stringbuf"),
	mu_demangle_test("_ZTVNSt7__cxx1118basic_stringstreamIcSt11char_traitsIcESaIcEEE_ptr", "vtable for std::stringstream"),
	mu_demangle_test("_ZTVNSt7__cxx1119basic_istringstreamIcSt11char_traitsIcESaIcEEE_ptr", "vtable for std::istringstream"),
	mu_demangle_test("_ZTVNSt7__cxx1119basic_ostringstreamIcSt11char_traitsIcESaIcEEE_ptr", "vtable for std::ostringstream"),
	mu_demangle_test("_ZTVSt15basic_streambufIcSt11char_traitsIcEE_ptr", "vtable for std::streambuf"),
	mu_demangle_test("_ZTVSt9basic_iosIcSt11char_traitsIcEE_ptr", "vtable for std::ios"),
	mu_demangle_test("_Z14getPackageNameP7_JNIEnvP8_jobject", "getPackageName(_JNIEnv*, _jobject*)"),
	mu_demangle_test("_Z15JstringToStringP7_JNIEnvP8_jstring", "JstringToString(_JNIEnv*, _jstring*)"),
	mu_demangle_test("_Z13CharTojstringP7_JNIEnvPKc", "CharTojstring(_JNIEnv*, char const*)"),
	mu_demangle_test("_Z20invokeStaticMethodssP7_JNIEnvP8_jstringS2_", "invokeStaticMethodss(_JNIEnv*, _jstring*, _jstring*)"),
	mu_demangle_test("_Z16getFieldOjbectExP7_JNIEnvP7_jclassP8_jobjectP8_jstring", "getFieldOjbectEx(_JNIEnv*, _jclass*, _jobject*, _jstring*)"),
	mu_demangle_test("_Z14getFieldOjbectP7_JNIEnvP8_jstringP8_jobjectS2_", "getFieldOjbect(_JNIEnv*, _jstring*, _jobject*, _jstring*)"),
	mu_demangle_test("_Z16setFieldOjbectExP7_JNIEnvP7_jclassP8_jstringP8_jobjectS6_", "setFieldOjbectEx(_JNIEnv*, _jclass*, _jstring*, _jobject*, _jobject*)"),
	mu_demangle_test("_Z14setFieldOjbectP7_JNIEnvP8_jstringS2_P8_jobjectS4_", "setFieldOjbect(_JNIEnv*, _jstring*, _jstring*, _jobject*, _jobject*)"),
	mu_demangle_test("_Z14checkExceptionP7_JNIEnv", "checkException(_JNIEnv*)"),
	mu_demangle_test("_Z7forNameP7_JNIEnvP8_jstring", "forName(_JNIEnv*, _jstring*)"),
	mu_demangle_test("_Z11GetFileNamePc", "GetFileName(char*)"),
	mu_demangle_test("_Z10replaceAllPKcS0_S0_", "replaceAll(char const*, char const*, char const*)"),
	mu_demangle_test("_Z6decodeP7_JNIEnvP8_jstringS2_", "decode(_JNIEnv*, _jstring*, _jstring*)"),
	mu_demangle_test("_Z7sub_444P7_JNIEnvP8_jobjectS2_P8_jstringS4_", "sub_444(_JNIEnv*, _jobject*, _jobject*, _jstring*, _jstring*)"),
	mu_demangle_test("_Z7sub_333P7_JNIEnvP8_jobjectS2_P8_jstringS4_", "sub_333(_JNIEnv*, _jobject*, _jobject*, _jstring*, _jstring*)"),
	mu_demangle_test("_ZN25SystemClassLoaderInjector6injectEP7_JNIEnvP8_jobjectP8_jstringS5_", "SystemClassLoaderInjector::inject(_JNIEnv*, _jobject*, _jstring*, _jstring*)"),
	mu_demangle_test("_Z21registerNativeMethodsP7_JNIEnvPKcP15JNINativeMethodi", "registerNativeMethods(_JNIEnv*, char const*, JNINativeMethod*, int)"),
	mu_demangle_test("_Z17register_ndk_loadP7_JNIEnv", "register_ndk_load(_JNIEnv*)"),
	mu_demangle_test("_____Z17register_ndk_loadP7_JNIEnv", "register_ndk_load(_JNIEnv*)"),
	mu_demangle_test("___ZZN12foonamespace3Foo13inside_lambdaEvENKUlvE_clEv_block_invoke_7636", "foonamespace::Foo::inside_lambda()::{lambda()#1}::operator()() const block_invoke_7636"),
	mu_demangle_test("___ZN12foonamespace3FooC2Ev_block_invoke_7636", "foonamespace::Foo::Foo() block_invoke_7636"),
	mu_demangle_test("____Z20InstallSignalHandlerv_block_invoke", "InstallSignalHandler() block_invoke"),
	mu_demangle_test("____Z20InstallSignalHandlerv_block_invoke_2", "InstallSignalHandler() block_invoke_2"),
	mu_demangle_test("____ZN12_GLOBAL__N_117ScreenshotManagerC2Ev_block_invoke", "(anonymous namespace)::ScreenshotManager::ScreenshotManager() block_invoke"),
	mu_demangle_test("____ZN10screenshot29TryPromptUserForScreenCaptureEv_block_invoke", "screenshot::TryPromptUserForScreenCapture() block_invoke"),
	mu_demangle_test("_ZNKSt7__cxx1111basic_regexIcNS_12regex_traitsIcEEE5flagsEv", "std::regex::flags() const"),
	mu_demangle_test("_ZNSt7__cxx1111basic_regexIcNS_12regex_traitsIcEEE10_M_compileEPKcS5_NSt15regex_constants18syntax_option_typeE", "std::regex::_M_compile(char const*, char const*, std::regex_constants::syntax_option_type)"),
	mu_demangle_test("_ZNSt7__cxx1111basic_regexIcNS_12regex_traitsIcEEEC1EPKcNSt15regex_constants18syntax_option_typeE", "std::regex::regex(char const*, std::regex_constants::syntax_option_type)"),
	mu_demangle_test("_ZNSt7__cxx1111basic_regexIcNS_12regex_traitsIcEEEC2EPKcNSt15regex_constants18syntax_option_typeE", "std::regex::regex(char const*, std::regex_constants::syntax_option_type)"),
	mu_demangle_test("_ZNSt7__cxx1111basic_regexIcNS_12regex_traitsIcEEED1Ev", "std::regex::~regex()"),
	mu_demangle_test("_ZNSt7__cxx1111basic_regexIcNS_12regex_traitsIcEEED2Ev", "std::regex::~regex()"),
	mu_demangle_test("_ZNSt8__detail17__regex_algo_implIPKcSaINSt7__cxx119sub_matchIS2_EEEcNS3_12regex_traitsIcEEEEbT_S9_RNS3_13match_resultsIS9_T0_EERKNS3_11basic_regexIT1_T2_EENSt15regex_constants15match_flag_typeENS_20_RegexExecutorPolicyEb", "bool std::__detail::__regex_algo_impl<char const*, std::allocator<std::csub_match >, char, std::regex_traits<char> >(char const*, char const*, std::cmatch&, std::regex const&, std::regex_constants::match_flag_type, std::__detail::_RegexExecutorPolicy, bool)"),
	mu_demangle_test("_ZNSt8__detail9_ExecutorIPKcSaINSt7__cxx119sub_matchIS2_EEENS3_12regex_traitsIcEELb0EEC1ES2_S2_RSt6vectorIS5_S6_ERKNS3_11basic_regexIcS8_EENSt15regex_constants15match_flag_typeE", "std::__detail::_Executor<char, false>::_Executor(char const*, char const*, std::vector<std::csub_match>&, std::regex const&, std::regex_constants::match_flag_type)"),
	mu_demangle_test("_ZNSt8__detail9_ExecutorIPKcSaINSt7__cxx119sub_matchIS2_EEENS3_12regex_traitsIcEELb0EEC2ES2_S2_RSt6vectorIS5_S6_ERKNS3_11basic_regexIcS8_EENSt15regex_constants15match_flag_typeE", "std::__detail::_Executor<char, false>::_Executor(char const*, char const*, std::vector<std::csub_match>&, std::regex const&, std::regex_constants::match_flag_type)"),
	mu_demangle_test("_ZNSt8__detail9_ExecutorIPKcSaINSt7__cxx119sub_matchIS2_EEENS3_12regex_traitsIcEELb1EEC1ES2_S2_RSt6vectorIS5_S6_ERKNS3_11basic_regexIcS8_EENSt15regex_constants15match_flag_typeE", "std::__detail::_Executor<char, true>::_Executor(char const*, char const*, std::vector<std::csub_match>&, std::regex const&, std::regex_constants::match_flag_type)"),
	mu_demangle_test("_ZNSt8__detail9_ExecutorIPKcSaINSt7__cxx119sub_matchIS2_EEENS3_12regex_traitsIcEELb1EEC2ES2_S2_RSt6vectorIS5_S6_ERKNS3_11basic_regexIcS8_EENSt15regex_constants15match_flag_typeE", "std::__detail::_Executor<char, true>::_Executor(char const*, char const*, std::vector<std::csub_match>&, std::regex const&, std::regex_constants::match_flag_type)"),
	mu_demangle_test("_ZSt11regex_matchIcSaINSt7__cxx119sub_matchIPKcEEENS0_12regex_traitsIcEEEbPKT_RNS0_13match_resultsISA_T0_EERKNS0_11basic_regexIS8_T1_EENSt15regex_constants15match_flag_typeE", "bool std::regex_match<char>(char const*, std::cmatch&, std::regex const&, std::regex_constants::match_flag_type)"),
	mu_demangle_test("_ZSt11regex_matchIPKcSaINSt7__cxx119sub_matchIS1_EEEcNS2_12regex_traitsIcEEEbT_S8_RNS2_13match_resultsIS8_T0_EERKNS2_11basic_regexIT1_T2_EENSt15regex_constants15match_flag_typeE", "bool std::regex_match<char>(char const*, char const*, std::cmatch&, std::regex const&, std::regex_constants::match_flag_type)"),
	mu_demangle_test("_ZSt12regex_searchIcSaINSt7__cxx119sub_matchIPKcEEENS0_12regex_traitsIcEEEbPKT_RNS0_13match_resultsISA_T0_EERKNS0_11basic_regexIS8_T1_EENSt15regex_constants15match_flag_typeE", "bool std::regex_search<char>(char const*, std::cmatch&, std::regex const&, std::regex_constants::match_flag_type)"),
	mu_demangle_test("_ZSt12regex_searchIPKcSaINSt7__cxx119sub_matchIS1_EEEcNS2_12regex_traitsIcEEEbT_S8_RNS2_13match_resultsIS8_T0_EERKNS2_11basic_regexIT1_T2_EENSt15regex_constants15match_flag_typeE", "bool std::regex_search<char>(char const*, char const*, std::cmatch&, std::regex const&, std::regex_constants::match_flag_type)"),
	// end
);

mu_main(gpl, cxx);
